-------------------------------------------------------------------------------
20220206 -

     * Update to kernel 4.4.301.
     * Correct CPU performance governor function to set both big and
       little cores correctly.
     * Prevent RetroArch 1.10.0 from setting max brightness.
-------------------------------------------------------------------------------
20220210 -

     * Correct audio volume for PPSSPP.
     * Improve system information.
     * New WIFI management tool wifictl.
     * Update RetroArch cores.
     * Emulationstation now sets proper aspect ratio by default.
     * Adds initialization message during first startup.
     * Move hardware init into user land startup, start hardware before
       services.
     * Additional OS and project cleanup.
-------------------------------------------------------------------------------
20220211 -

     * Fix an issue where Samba loses the user account when password
       rotation is disabled.
     * Fix jelos-info to remove duplicate info.
     * Set the appropriate mixer in ES on startup to correct an issue with
       the volume overlay.
     * Apply a small overclock of the fast cores thanks to [74]@notime2d8.
-------------------------------------------------------------------------------
20220213 -

     * Update parallel-n64 compiler optimizations.
     * Add max fps patch for PPSSPP, thanks to [73]@shantigilbert.
     * JELOS will no longer create an extra partition on the primary SD
       card.

   This release establishes community and contribution guidelines as well
   as templates for issues and pull requests for those in the community
   who would like to contribute.
-------------------------------------------------------------------------------
20220215 -

     * KMSDRM cursor rotation thanks to [74]@JohnnyonFlame and
       [75]@romadu.
     * Update libretro cores.
     * Update common-shaders to include more shaders.
     * Eliminate game transition splash.
     * Revert and update filesystem resize functionality.

   New images were uploaded replacing the initial release. If you are
   having trouble with a fresh flash or with volume control, please
   download the latest image below.
-------------------------------------------------------------------------------
20220218 -

     * The storage partition is now resized to use all remaining space on
       the primary SD card for fresh flashes.
     * Adds a facility that allows users to create their own start
       scripts.
          + Runs any scripts found in /storage/.config/autostart on boot.
          + More information about this change can be found in the project
            README.
     * Adds the current fan speed to System Information in
       EmulationStation.
-------------------------------------------------------------------------------
20220225 -

     * Update emulators and cores.
     * Update Art Book theme.
     * Update 351Files, correct resolution and font size. -
       [74]@brooksytech
     * Update mupen64plus config. - [75]@brooksytech
     * Apply sane button defaults to RetroArch. - [76]@brooksytech
          + To update the RetroArch config after an upgrade, ssh to the
            device and run:
          + cp /usr/config/retroarch/retroarch.cfg ~/.config/retroarch/
     * Misc project housekeeping.
-------------------------------------------------------------------------------
20220226 -

     * Sync kernel with upstream.
     * Fix wifictl to correctly list long SSIDs with spaces and remove
       duplicate SSIDs.
-------------------------------------------------------------------------------
20220227 -

     * Restructure core OS configuration data (now
       system/configs/system.cfg).
     * Split game configs out of the system config path (now
       game/configs).
     * Small mupen64plus, mupen64plus-nx, and yabasanshiro optimizations.
     * Update ArtBook theme.
     * Deprecate and remove Python2 thanks to [74]@CoreELEC.
     * Misc OS package updates.
-------------------------------------------------------------------------------
20220303 -

     * Adds PortMaster by default thanks to [74]@brooksytech.
     * Fix RetroArch viewport for multiple cores thanks to
       [75]@brooksytech.
     * Update RetroArch, PPSSPP, and RetroArch cores.
     * Add support for the Realtek RTL8821CU WIFI adapter.
     * Misc OS Updates and cleanup.
-------------------------------------------------------------------------------
20220304 -

     * Add cooling profile support with "aggressive" "moderate" "quiet"
       and "custom" settings.
          + Quiet - the current default fan curve (Set by default)
          + Moderate - Low speed default, scales slightly more
            aggressively.
          + Aggressive - Always on, full speed.
          + Custom - Utilizes ~/.config/fancontrol.conf to allow user
            modified curves
     * Separate the OS theme from installed themes so it is updated with
       the OS and doesn't conflict with a user installed version of Art
       Book.
     * Update ES Settings to support custom image folders thanks to
       [74]@anthonycaccese.
     * Swap controls so L1 and R1 scroll game lists in ES thanks to
       [75]@brooksytech.
     * Corrects an issue with get_setting and set_setting that may cause a
       property mismatch thanks to [76]@romadu and [77]@brooksytech.
     * Add support for RTL8821CU, RTL8812AU, and RTL8821AU 802.11AC WIFI
       adapters, thanks to [78]@Black-Seraph for the pointers.
          + Includes support for 5GHz WIFI networks.
          + 5GHz 802.11AC WIFI tested with an external RTL8821AU adapter.
-------------------------------------------------------------------------------
20220307 -

     * Add overclocking capability that includes profile support allowing
       you to select an overclock preference of memory, GPU, CPU, or
       everything.
          + Memory profile overclocks to 933MHz.
          + GPU profile overclocks to 900MHz.
          + CPU profile overclocks to 2.088/1.608MHz (stable) or
            2.18/1.704MHz (unstable).
          + Note: Cooling profiles are disabled while overclocking.
            Overclocking is disabled by default.
          + Thanks to [74]@Black-Seraph, @brooksytech, [75]@notime2d8,
            [76]@SmirksAlot, [77]@JohnnyonFlame and others for their
            contributions and help with testing.
     * Adds SDL 2.0.20 thanks to [78]@shantigilbert and
       [79]@JohnnyonFlame.
     * Bring back Duckstation thanks to @brooksytech.
     * Adds a switch to disable internal WIFI to prevent conflicts when an
       external device is in use.
     * Corrects an issue with some cards that causes a crash during reboot
       after resizing.
     * Corrects an issue with internal WIFI that caused contention with
       its p2p device thanks to @brooksytech, [80]@pkegg, and
       [81]@351ELEC.
     * Corrects an issue with an incorrect log path in samba.
     * Corrects a bug in RetroArch that mislabels quit as restart.
-------------------------------------------------------------------------------
20220309 -

     * Improved overclock profiles improving stability and providing
       additional options.
          + RAM - 933
          + GPU - 900/933
          + CPU - 1992/1512/933
          + CPU - 2088/1608/933
          + CPU - 2184/1704/933
          + ALL - 1992/1512/900/933
          + ALL - 2088/1608/900/933
          + ALL - 2184/1704/900/933
     * Online updating is now available for future releases, the option
       can be found in System Settings.
     * Art Book now uses a new font allowing for better readability in the
       menus. Thanks to [74]@anthonycaccese.
     * Cooling profiles are no longer forced to the initial OC setting on
       boot if an OC profile is set.
-------------------------------------------------------------------------------
20220312 -

     * Correct an issue with root password rotation introduced in
       20220309.
     * Correct online update package verification issue.
     * Apply Bluetooth patch thanks to [80]@Black-Seraph.
     * Update RetroArch to 1.10.1.
     * Update PPSSPP.
     * Update Libretro cores.
     * Fix metadata for CPS 1-3, Commodore 128, and FBNeo.
-------------------------------------------------------------------------------
20220314 -

     * Add yabasanshiroSA as the new default Saturn emulator. Thanks in
       part to [80]@shantigilbert, [81]@CoreELEC, and [82]@351ELEC.
          + Button defaults: A/B/C are Y/B/A (west,south,east) and X/Y/Z
            are X/L1/R1. Thanks [83]@romadu!
     * Add a new root password rotation disable and password configuration
       option to System Settings.
     * Configure usb_modeswitch to eject the 8821CU when it is in fake
       cdrom mode.
     * Update the online update wording in ES.
     * Update Art Book theme.
     * Fix full scaling mode thanks to [84]@konsumschaf.
     * Re-add retropie shaders. Thank you [85]@konsumschaf for the tip!
-------------------------------------------------------------------------------
20220316 -

     * Fix OTA updates for future releases.
     * Add Mupen 64 standalone emulator and parallel n64 gln64 libretto
       core thanks to @brooksytech along with [80]@351ELEC and
       [81]@shantigilbert.
     * Many battery drain issues during sleep have been resolved reducing
       battery drain to ~2% per hour. Thanks to [82]@Black-Seraph for
       collaborating with us on this, and thank you to all of the testers
       who didn't use their devices so we could test.
     * Ensure Portmaster is always the latest, thanks to @brooksytech.
     * [83]JELOS Emulators and Cores have been documented thanks to
       [84]@romadu.
-------------------------------------------------------------------------------
20220319 -

     * Correct an issue with 8821CU (and possibly other) WIFI modules not
       exiting CD-ROM mode and entering WIFI mode.
     * Add VICE C64/C128/C16/VIC-20 stand alone emulator.
     * Update Art Book theme thanks to [80]@anthonycaccese.
     * Rework parallel-n64 optimizations to take advantage of the RG552's
       big cores.
     * Add a new mechanism to allow for certain changes to be deployed
       only after an update.
     * Begin adding the components to support Bluetooth pairing in the
       future.
     * Clean up the memory controller frequency definitions.
     * Housekeeping, and a few small bug fixes.
-------------------------------------------------------------------------------
20220320 -

     * Correct an issue with tools scripts having incorrect permissions.
-------------------------------------------------------------------------------
20220329 -

     * Announcing support for the Anbernic RG351P, RG351V, and RG351MP.
       This support is considered 1.0 and will be further refined in
       future releases.
     * Announcing JELOS Addons by @brooksytech! It's a fork of PortMaster
       with packages that are tailored specifically for JELOS.
     * Corrected an issue with online updates that prevented detection of
       the update folder in some cases.
     * Improves OS boot time significantly.
     * Adds a new Atari 5200 core (a5200).
     * Theme improvements from [80]@anthonycaccese.
     * Improved core optimizations for better performance.
     * Many OS optimizations and bug fixes.
-------------------------------------------------------------------------------
20220330 -

     * Corrects issue with RG351V and MP not mounting ExFAT partitions.
          + The RG351P does not use ExFAT as there is only one card slot.
          + Make sure there is no card in the second slot before
            upgrading.
-------------------------------------------------------------------------------
20220402 -

     * Adds support for configuring overclock, cooling profiles, and
       big.little core allocation per system and per game on the RG552.
     * Corrects an issue with per game settings not functioning correctly.
     * Correct issues with jslisten and movie playback.
     * Corrects issues with scummvm game detection, theming, and
       resolution.
     * Adds initial support for gzdoom, lzdoom, and raze and adds support
       for RG351x.
     * Adds RG351x configurations for mupen64plus, thanks to [80]@351ELEC.
     * Housekeeping and misc bug fixes.
-------------------------------------------------------------------------------
20220404 -

     * Adds support for mounting cloud drives with rclone making them
       accessible via 351Files on the device.
     * Adds support for cloud saves backup and restore (user
       configurable).
     * Adds overclocking support for the RG351x series devices.
     * Adds support for an additional RTL8812BU WIFI adapter.
-------------------------------------------------------------------------------
20220406 -

     * Further refinement to significantly improve system boot times.
     * Updates to pico-8 support including support for 64-bit binarys with
       a fallback to 32bit for those who haven't updated.
     * RetroArch hotkey fixes for the RG351V and RG351MP.
     * Controls fixes for MupenSA thanks to @brooksytech.
     * Flycast update and defaults adjustment o improve emulation
       performance. Thanks to @brooksytech and [79]@AmberELEC
     * Updates to RetroArch, RetroArch cores, standalone emulators, and
       the system theme (Art-Book).
-------------------------------------------------------------------------------
20220408 -

     * Fix issue preventing devices with two sdcard slots from mounting a
       games partition on card 1 when slot 2 is empty.
     * Correct brightness calculation on RG351x devices.
     * Switch gpsp core to 32bit and apply new optimizations - thanks to
       [80]@CometHunter92
     * Fix per-system/game overclock on the RG351x devices.
     * Apply new per-system/game overclock setting to use system value.
     * Fix RTL8812BU and add RTL8192CU, RTL8192EU, and RTL8814AU device
       support.
-------------------------------------------------------------------------------
20220409 -

     * Add support for swapping A and B in ES to the UI menu.
     * Additional boot time optimizations.
     * Ensure the WIFI connection is refreshed on startup using wifictl.
     * Disable WIFI power save on startup to improve connectivity with
       some WIFI devices.
     * Correct an issue with get_settings that prevents the return of a
       configuration element if there is no game setting but a system
       setting exists.
     * Improve Flycast and Yabasanshiro optimizations.
-------------------------------------------------------------------------------
20220413 -

     * Add flycastsa thanks to @brooksytech.
     * Add support for forced updates and installing development builds to
       ES.
     * Add Drastic installer thanks to @brooksytech.
-------------------------------------------------------------------------------
20220418 -

     * Many base OS updates.
     * Adds the Open Source MelonDS libretro core.
     * Corrects an issue with some WIFI adapters not detecting 5GHz
       networks.
     * Corrects an issue with ThemeMaster not starting properly.
     * Adds .zip support to ES for Daphne.
     * Improve brightness hotkeys while in game.
     * Adds Nintendo DS to ES to support for MelonDS and Drastic when
       installed via JELOS Add Ons.
-------------------------------------------------------------------------------
20220422 -

     * Fix no BGM issue in EmulationStation.
     * Add Hypseus-singe emulator thanks to
       [84]https://github.com/EmuELEC.
     * Eliminate unused overclocks.
     * Drop overclock earlier in the boot to prevent system crashes on a
       few devices.
     * Add support for 7z for NDS.
     * Re-optimize pcsx_rearmed and split to support 32bit and 64bit
       versions for better compatibility.
     * Deprecate RetroArch overlayfs to reduce complexity.
-------------------------------------------------------------------------------
20220428 -

     * Update cores and emulators
     * Set Duckstation to use software rendering.
     * Push retroarch configuration options when updating.
     * Misc OS cleanup.
-------------------------------------------------------------------------------
20220506 -

     * Fix no volume on wake issue on the RG351V
     * Fix BGM issue on the RG351 devices.
     * Update Python3 and Jinja2
     * Update emulators, cores, theme, and thememaster.
     * Fix libsndfile to correct a ports issue.
     * Rework internal wifi script to disable the gpio pin, thanks to
       [83]@pkegg for the idea.
     * Fix pico-8 to set run and cart options if the game passed is valid,
       thanks to [84]@YonKuma for the idea.
     * Fix jacksense on the 351 devices.
     * Fix ES not setting WIFI connection for the first time without
       rebooting.
-------------------------------------------------------------------------------
20220511 -

     * Add audio extensions to media player, thanks to [84]@kkoshelev for
       the idea.
     * Add beetle-supafaust support in es_features.cfg, thanks to
       [85]@CometHunter92
     * Fix a hard coded resolution issue with ecwolf.
     * Update games, emulators, and a few core applications.
     * Roll back PPSSPP to correct an upstream issue.
-------------------------------------------------------------------------------
20220519 -

     * Add support for Commodore PET, thanks to [83]@awhitney42 for the
       idea!
     * Add support for wireguard, thanks to [84]@kkoshelev!
     * Fix an issue with system updates that didn't delay long enough for
       users to see error messages.
     * Support for loading custom libretro cores.
     * Moves Drastic installer to JELOS-Addons.
     * Streamline ES configurations so they're no longer copied after an
       update.
     * Update emulators, cores, and theme.
-------------------------------------------------------------------------------
20220527 -

     * Corrects the power LED state on the 351 series devices.
     * Adds the meson NES libretro core.
     * Adds support for Atari Jaguar emulation (does not perform well on
       devices earlier than RG552).
     * Fixes JELOSAddOns permissions issue.
     * Adds WireGuard UI to EmulationStation.
     * Faster shutdown from EmulationStation.
-------------------------------------------------------------------------------
20220603 -

   This release brings quite a few exciting features to JELOS along with
   our regular round of bug fixes and software updates.

Change Log

     * Adds support for the Anbernic RG503! There are still a few known
       issues, but JELOS support is now considered stable enough to
       release.
          + Known Issues: Device boots when plugged in to charge.
            WireGuard is not functional. Controls in movie player are not
            working quite right yet.
     * Adds moonlight to the main distribution and integrates it within
       the ES menu. To get started, press start, select Moonlight Game
       Streaming from the menu and enter all of the information about your
       moonlight service.
     * Adds support for Jaguar emulation. This emulator is known to only
       work well on the RG552, but it is available across devices.
     * A second theme is now available by default, you're able to choose
       between Artbook Next (system-theme) and Minimal.
     * A new CPU governor (interactive) has been selected by default
       replacing on demand. This governor reduces latency and should help
       improve performance across cores and emulators.
     * The ability to choose your desired CPU governor is now available in
       ES to replace the Max Performance setting. You are able to
       configure Interactive, Ondemand, or Performance per game, per
       system, or globally.
-------------------------------------------------------------------------------
20220610 -

     * Adds TATE mode support to ES for MAME 2003.
     * Corrects Wireguard issue on the RG503.
     * Fixes RG503 hostname.
     * Fixes RG503 power on when charging bug.
     * Corrects an issue with the post upgrade process on the RG503.
     * Adds WIFI powersave enable/disable to ES.
     * Improves backup and restore functionality, thanks to [86]@maf12.
     * Adds 32bit Flyinghead flycast core.
     * Update emulators and cores.
-------------------------------------------------------------------------------
20220620 -

     * Adds support for the Anbernic RG353P.
     * Updates emulators and cores.
     * Corrects the boots when charging issue on the RG503 and RG353P.
-------------------------------------------------------------------------------
20220625 -

     * Updates yabasanshiroSA and correct build and configuration issue,
       and improve performance.
     * Add feature capabilities for flycast32 and genesis plus gx.
     * Adds support for talescale vpn.
     * Corrects HDMI and HDMI audio out on RG353P and RG503.
     * Disable variable refresh in RetroArch by default.
     * Fix mounting Android emmc on RG353P.
-------------------------------------------------------------------------------
20220629 -

     * Rolls back affinity patch
     * Updates Moonlight, and JELOS adding
     * Improves tailscale vpn.
-------------------------------------------------------------------------------
20220703 -

     * Update emulators and cores.
     * Correct scheduled dev build issue.
-------------------------------------------------------------------------------
20220712 -

     * Update rsync parameters to be user editable, thanks to [86]@LnxAdm.
     * Add tool to split games between sd slot 1 and 2, thanks to
       [87]@maf12.
     * Fix issue with JELOSAddOns.
     * Fix issuing dev releases without changes.
-------------------------------------------------------------------------------
20220802 -

     * A major OS upgrade that improves our build tooling, documents more
       of our processes, fixes lots of bugs, and includes many updates.
     * OS build storage requirements and build times reduced by half.
     * Adds Duckstation stand alone emulator.
     * Adds bsnes mercury, and ecwolf libretro cores.
     * Reimplements overlayfs allowing cheats, overlays, etc to be user
       editable (located in /storage).
     * Adds ES theme MiniELEC thanks to [86]@Rose22.
     * Corrects an issue with game splitting thanks to [87]@maf12.
     * Corrects a bug with RetroArch downloader that re-enables content
       downloading.
     * Implements proper multiarch support allowing 32bit and 64bit
       software to co-exist without patches. Thanks in large part to
       [88]@7Ji.
     * Drops overclocking of RG351x devices as that has led to instability
       on some devices.
     * Corrects an issue preventing FAT and ExFAT flash drives from
       automounting when connected.
     * Implements hostname functionality in ES.
     * Improves our sleep/wake functionality.
     * Fixes a bug with jslisten that prevented brightness keys from
       working in some scenarios.
     * Further streamlines our boot process to improve boot times.
     * Implements foundational support for x86 devices and OpenGL
       (incomplete).
-------------------------------------------------------------------------------
20220804 -

     * Fixes an issue with WIFI on RG351x devices.
     * Wifi tool optimization.
     * Fixes system update not outputting to console.
     * Improves the drastic launcher.
-------------------------------------------------------------------------------
20220808 -

     * Correct incorrect brightness on wake bug.
     * Move hotkey (brightness, etc) configuration to userland.
     * Update many emulators and cores.
-------------------------------------------------------------------------------
20220812 -

-------------------------------------------------------------------------------
20220813 -

-------------------------------------------------------------------------------
20220815 -

     * Fix game manual viewing bug.
     * Integrate Moonlight game lists into ES.
     * Update emulators and cores.
     * Roll back dosbox pure to work around segfault issue.
     * Fix missing duckstation.
     * Fix up yabasanshiro optimizations.
     * Resolve black screen issue.
-------------------------------------------------------------------------------
20220821 -

     * Adds GlideN64 thanks to [86]@rishooty.
     * Deprecates L1 + DPAD for brightness control (use FN+volume up/down,
       RG351P uses L2 + DPAD).
     * Updates pcsx_rearmed for improved 64bit performance thanks to
       [87]@CometHunter92.
     * Adds game scanner for Raze/Build engine games to JELOS thanks to
       [88]@travis134.
     * Corrects raze default mapping issue thanks to [89]@romadu.
     * Adds HLE BIOS selection for yabasanshiroSA.
     * Moved TATE mode to ES features so it is only available for MAME.
     * Fix es_features and es_systems to be a symlink (and backs up the
       old version).
     * Adds beetle_pce, renaming beetle_pce to beetle_pce_fast thanks to
       [90]@CometHunter92 .
-------------------------------------------------------------------------------
20220827 -

     * Unifies the splash screen across supported devices.
     * Updates and corrects a dosbox-pure segmentation fault.
     * Duckstation standalone optimizations thanks to [86]@CometHunter92.
     * No longer reconnect WIFI in the ES menu if it's already configured
       and connected correctly.
     * Fix duckstationsa segfault after accidental Vulcan selection thanks
       to [87]@christianhaitian.
     * Adds a new doom game scanner thanks to [88]@travis134 .
     * Adds a brightness level overlay to ES thanks to [89]@travis134.
-------------------------------------------------------------------------------
20220925 -

-------------------------------------------------------------------------------
20220927 -

     * Adds DeSmuME NDS RA core for x86 buiilds
     * Fix language setting bug.
     * Fix automount bugs.
     * Fix PCSX2 standalone audio bug.
-------------------------------------------------------------------------------
20221003 -

General Changes

     * Correct brightness issues across all devices.
     * Fix language selection bug.
     * Always sync portmaster, thememaster, and jelosaddons after
       updating.
     * Update retroarch, shaders, emulators, cores, moonlight, and
       thememaster.
     * Updates and fixes Gliden64, thanks to [87]@rishooty.
     * Fix 32bit emulation bug on aarch64 devices.
     * Add support for multiple device trees.
     * Add support for user configurable profile scripts
       (~/.config/profile.d).
     * Fixes shader build conflicts.

Device Specific

RG353V

     * Adds support for the Anbernic RG353V (use the RG353P image for
       installation.)
     * Add workaround for no audio mixing of right channel on RG353V
       thanks to [88]@christianhaitian.

Handheld (x86_64)

     * Add 3DS support (libretro complete, standalone core incomplete).
     * Disable integer scaling by default on Win600.
     * Corrects Wii controls.

RG552

     * Adds the HLE/MLE variant of CXD4 RSP for RG552's Mupen64 Plus
       Standalone, thanks to [89]@rishooty.
     * Force Retroarch to use glcore on the RG552 if GL is still enabled.
-------------------------------------------------------------------------------
20221006 -

     * Move samba configuration to user space.
     * Remove kernel tweaks that inhibit proper sleep.
     * Merge hostname change and wifi into 008-network.
     * Adjust flycast build options.
     * Fix and update Stella and Hatari
     * Update DolphinSA and DuckstationSA
     * Merge AMD GPU performance profiles into performance governor
       functions.
-------------------------------------------------------------------------------
20221010 -

     * Corrects missing cloud backup and restore on Win600.
     * Corrects tools not starting correctly across devices.
     * Adds additional controller configurations for ES and RetroArch.
     * Corrects missing ffmpeg tools.
-------------------------------------------------------------------------------
20221015 -

     * No longer hide extensions by default.
     * Fix WIFI scanning bug.
     * Fix Wireguard missing on some devices.
     * Convert automount to a service to correct dependency issues.
     * Fix starting PortMaster, ThemeMaster, and JELOSAddOns.
-------------------------------------------------------------------------------
20221023 -

     * Corrects HDMI audio issue and default hotkeys on Atari VCS.
     * New System View and Font Options.
     * Fix RG552 panel flicker issue.
     * Updates to cores, emulators, and a few base packages.
     * Fix low volume issue with RG351P.
     * Kernel 5.19.16 with preempt rt for Win600.
     * PPSSPP maxFPS patch returns.
     * Add support for dynamic controller variables and support for hotkey
       configuration when a new controller is default.
     * Deprecate device specific controller variables.
     * Resolve issue opening Portmaster after it updates.
     * Install Drastic on first use.
     * Deprecate JELOSAddOns.
-------------------------------------------------------------------------------
20221024 -

     * Correct WIFI issue with RG552.
-------------------------------------------------------------------------------
20221027 -

New Features

     * Automatic configuration of hotkeys in RetroArch (managed in System
       Settings).
     * Audio output device selection (managed in System Settings).
     * Automatic configuration of the moonlight resolution per device.

Bug Fixes

     * Correct missing Sega Saturn (yabasanshiroSA) controls.
     * Post update not executing on some devices.
     * Fix missing text viewer.
     * Fix a logic bug during Drastic startup.
     * Fix Commodore 64 emulator (ViceSA) failing to start.
     * Stop syncing portmaster and thememaster.
-------------------------------------------------------------------------------
20221107 -

Updates

     * Updates many core packages including GCC 12.2.0, GLIB 2.74.0, GLIBC
       2.26, and Python 3.9.15 thanks in large part to [99]@CoreELEC.
     * Brings kernel 6.0.6 to Win600, Atari VCS, and other x86 devices, as
       well as the RG552.
     * Deprecates the pre-built GNU toolchain.
     * Updates emulators and cores.
     * Updates documentation to indicate RG353M support.

New Features

     * Wayland support for Dolphin and Duckstation standalone emulators on
       RG552, Win600, Atari VCS, and other x86 devices.
     * Vulkan support for Dolphin, PPSSPP, and Duckstation standalone
       emulators on Win600, Atari VCS, and other x86 devices.
     * Adds Bluetooth controller support for RG351 series, RG353 series,
       RG503, and RG552 thanks to [100]@tom-pratt.
     * Adds support in ES for configuring Dolphin Stand Alone on supported
       devices.
     * Adds Backup To Cloud On Game Exit (Configurable in games settings).
     * Adds support for configuring the startup interface in kiosk mode
       (Weston devices only).
     * Adds support for TheC64 joystick, the Nintendo Switch Pro
       Controller, and the Nintendo Core (Plus) Wired Controller.

Bug Fixes

     * Fixes bugs with PPSSPP Libretto.
     * Corrects an arch issue with rclone on x86.
     * Corrects the display on the RG552 to 60hz thanks to
       [101]@Locutus73.
     * Automatic hotkey configuration now correctly uses overlayfs.
     * Corrects issue with run tool not starting backup and restore on
       Win600, Atari VCS, and other x86 devices.
-------------------------------------------------------------------------------
20221114 -

Updates

     * Updates emulators and cores.
     * Bump mainline kernel to 6.0.7 (RG552, Win600, Atari VCS, and other
       x86 devices).
     * Deprecates factory reset functionality.

New Features

     * Adds the ability to control the audio output path via ES.
     * Adds controller support for the Steam Deck.
     * Relabels settings in ES from "AUTO" to "DEFAULT" to better describe
       the setting.

Bug Fixes

     * Correct a condition where games directories are sometimes created
       before the games partition is mounted.
     * Corrects Tate mode on x86 (retroarch reset required).
     * Fixes RG552 default audio mixer.
     * Corrects reversed WIFI power saving switch.
     * Corrects reversed cloud backup switch.
     * Corrects issue with avahi hostname not being set on startup.
     * Corrects 124hz display to 60hz on RG353P/V/M, thanks to
       [99]@tonyjih.
-------------------------------------------------------------------------------
20221130 -

     * Adds initial support for BT audio, thanks to [99]@wansti.
     * Adds Audiolatency configuration to ES, thanks to [100]@Locutus73.
     * Corrects a build issue with 356x u-boot, thanks to [101]@vulpes2.
     * Fixes multiple issues when building on ARM, thanks to
       [102]@shauninman.
     * Adds Beetle Saturn core for RG552.
     * Adds initial support for yuzu.
     * Updates emulators and cores.
     * Implements simple device quirks mechanism.
     * Initial support for Ayaneo Air Pro (incomplete).
     * Disables online update mechanism in ES.
-------------------------------------------------------------------------------
20221208 -

     * Deprecates the release build workflow.
     * Updates emulators and cores, including Dolphin, Duckstation, and
       PCSX2SA
     * Relabels JELOS_SSH_KEYS_FILE, JELOS_WIFI_SSID, and JELOS_WIFI_KEY
       (LOCAL_SSH_KEYS_FILE, LOCAL_WIFI_SSID, and LOCAL_WIFI_KEY).
     * Drops RG351x devices from world builds.
     * Updates SDL to 2.26.0, Linux to 6.0.11 (RG552 and x86_64 only),
       Python to 3.11 (Thanks to [82]@CoreELEC), and Mesa to 22.3.0.
     * Reworks online update mechanism to allow disabling with a build
       time variable.
     * Reworks JELOS installation to be executed from Tools menu in ES.
     * Corrects shell prompt display on the console during x86_64 boot.
     * Fixes asound.state on RG552 with broken values, thanks to
       [83]@Locutus73.
     * Fixes bluetooth on x86_64 devices (handheld build).
     * Fixes issue with hotkey assignment on some devices.
-------------------------------------------------------------------------------
20221219 -

     * Adds / fixes RSP selector in ES, thanks to [82]@rishooty.
     * Multiple N64 start script and emulation fixes, thanks to
       [83]@rishooty.
     * Adds support for the PowKiddy RGB20S, thanks to [84]@oOblik.
     * Adds multiple bluetooth controller configurations.
     * Updates emulators, cores, retroarch, moonlight.
     * Adds beetle-saturn and Play! (PS2) to the handheld builds.
     * Enables online updates using a project variable, thanks to
       [85]@Sparticuz.
     * Re-adds Duckstation libretro and DolphinSA to RG353/RG503 builds.
     * Fixes missing 32bit filters, thanks to [86]@sunxuold.
     * Updates Linux kernel to 6.1 for handheld, and improves support for
       AYANEO AIR and AIR Pro.
          + Fixes splash screens.
          + Adds fan control.
          + Corrects issue with no WIFI after wake from sleep.
          + Corrects issue with headphone jack.
          + Works around issue with power button not working after first
            sleep (press for 3 seconds).
          + Corrects missing audio in EmulationStation.
-------------------------------------------------------------------------------
20221221 -

     * Fixes ATARI VCS EmulationStation audio playback
     * Terminal bug fix (reverts the xterm change).
     * Adds fake08, thanks to Lakka-LibreELEC.
     * Adds GPU power savings option for handheld builds (AMD only for
       now).
     * Updates SDL2 and reverts Mesa.
     * Improves fan curve for supported devices.
     * Updates emulators and cores.
     * Deprecates and removes original splash logic.
-------------------------------------------------------------------------------
20221224 -

     * Fix audio issues on new flash for Atari VCS and AYANEO AIR Pro.
     * Fix missing themes on new flash, thanks to [82]@Rocky5
     * Adds control-gen app by @brooksytech to generate config for
       gptokeyb, and update gptokeyb.
     * Switch to schedutil as the default scheduler as interactive is not
       available on mainline.
     * Improve fan control curve on devices that support it.
     * Add new power state script to improve power savings if GPU power
       saving is enabled.
     * Updates emulators and cores.
-------------------------------------------------------------------------------
20221231 -

     * Deprecates and removes support for all Anbernic and Powkiddy ARM
       devices - RG351P/M/V/MP, RG552, RG503, RG353P/M/V, RGB20S.
     * Re-enables OTA updates and automated builds of x86_64 handheld
       images and update packages.
     * Adds support for building on Ubuntu 22.04.
     * Corrects build issues when building in a VM on Apple M1.
     * Adds Parallel N64 with EmulationStation integration.
     * Adds zip support to Mupen64plusSA.
     * Enables touch display on Ayaneo Air and Air Pro.
     * Adds support for QT5.
     * Updates Vulkan and Yuzu.
-------------------------------------------------------------------------------
20230102 -

     * Update emulators and cores.
     * Bump kernel to 6.1.2.
     * Rebrand 351Files to FileMan.
     * General distribution cleanup

Bug fixes

     * AYANEO Air / Air Pro sleep button now correctly sleeps the device
       after sleeping once.
     * Fix issue where pico-8 does not exit cleanly.
     * Updates git and corrects an issue preventing cloning.
-------------------------------------------------------------------------------
20230105 -

     * Initial Citra SA support.
     * Disable integer scaling by default.
     * Improve behavior on portable devices like laptops (suspend on lid
       close, etc).
     * Improve cpu scheduler management.
     * Add ability to enable only 2 or 4 cores.
     * Add support for AYANEO 2, AYANEO 2021, 2021 Pro, and 2021 Retro
       Power.
     * Updates a few emulators and cores.
-------------------------------------------------------------------------------
20230111 -

     * Add support for Ayaneo Founder Edition, Ayaneo 2021 / Pro / Retro
       Power, Ayaneo Next / Advance / Pro, Ayaneo Geek, and Ayaneo 2.
     * Add support for 3DS and Wii U (x86_64 only).
     * Add volume pre-amp to eliminate low volume issues.
     * Disable touch input in ES.
     * Update emulators, cores, and several system packages.

Known Issues

     * When starting a Wii U game, sometimes the display will turn white.
       Tapping the screen will bypass the issue and start the game
       correctly.
-------------------------------------------------------------------------------
20230118 -

New Features

     * Add support for the Orange Pi 5.
     * Add IPv6 switch to ES.
     * Initial support for Steam Deck (Incomplete).
     * Adds framework for SyncThing (Incomplete), thanks to [89]@CoreELEC.

Bug Fixes

     * Fix Blue Alsa service not starting.
     * Update Wireless regdb and correct installation errors, thanks in
       part to [90]@CoreELEC.
     * Fix Flycast Libretro cores on x86.
     * Remove deprecated key variables, and fix mkimage. Thanks to
       [91]@oOblik and UnofficialOS.

Misc Changes

     * Relabel overclock in ES.
     * Default PPSSPPSDL to Vulkan on x86_64.
     * Adjust Retroarch default analog sensitivity.
     * Update several packages, cores, and the Linux kernel to 6.1.6.
     * Deprecate missing BIOS check.
     * Drop a few unnecessary patches.
-------------------------------------------------------------------------------
20230122 -

Features

     * Adds MelonDS SA support.
     * Improves power savings, and relabels GPU power savings to enhanced
       power savings.
     * Adds pre-amp volume control to Sound Settings.

Updates

     * Adds powertop package.
     * Updates emulators and cores.

Bug fixes

     * Blocks the bluetooth radio on startup if it's disabled.
     * Blocks the WIFI radio if it's disabled.
-------------------------------------------------------------------------------
20230124 -

New Features

     * Adds GPU performance profile selection globally, per system/core,
       and per game while Enhanced Power Savings is enabled and the device
       is running on battery.

Updates

     * Kernel 6.1.7
     * Emulators and Cores including stand alone Yuzu, Cemu, Dolphin, and
       MelonDS.

Bug Fixes

     * Corrects bluetooth daemon to not start up on boot if disabled.
     * Further refine running services to reduce interrupts and improve
       battery life.
     * Correct kernel display quirk patch thanks to [89]@Maccraft123.
-------------------------------------------------------------------------------
20230126 -

Updates

     * Update Linux (6.1.8) and Linux firmware (20230117).
     * Relabels core selection to threads and enables support for
       selecting as many or as few threads as are available to the system.

Bug Fixes

     * Corrects a condition where bluetooth agents are not started when
       enabled.
     * Corrects a condition where the bluetooth radio is not blocked when
       disabled.
     * Fixes a bug with Wii U controller configuration that may have
       prevented controls from working.
     * Corrects an ordering issue preventing quit hot keys from working
       correctly.
-------------------------------------------------------------------------------
20230201 -

Updates

     * Update set-audio to configure alsa for bluetooth, and to
       automatically populate the ES audio path with a best guess.
     * Enables pulseaudio bluetooth support.
     * Adds a simple service to autoconnect paired bluetooth devices.
     * Bumps emulators and cores.
     * Updates Linux kernel to 6.1.9.

Bug Fixes

     * Stops resetting audio devices and paths if they've already been set
       once.
     * Configures CEMU to look for and use a bluetooth device if it's
       paired and connected (needs further optimization).
     * Fixes Mupen64 RA cores for RK3588.
-------------------------------------------------------------------------------
20230205 -

Features

     * Adds support for managing the controller LED on Ayaneo devices
       (Tested on Air Pro only). Thanks to [89]@Maccraft123 for reverse
       engineering AyaSpace!
     * Adds initial support for AetherSX2 (ARM only).

Updates

     * Updates Vulcan packages to latest.
-------------------------------------------------------------------------------
20230207 -

New Features

     * Ability to configure controller LED brightness to three levels,
       min/mid/max.

Bug Fixes

     * Corrects multiple issues with LED management.
-------------------------------------------------------------------------------
20230210 -

New Features

     * Initial support for RPCS3 (Playstation 3).
     * Implements SyncThing integration.
          + Switch on in ES under Network Settings.
          + Connect via browser to http://{device hostname}:8384.
          + Username: root
          + Password: Found in System Settings menu

Updates and Bug Fixes

     * Many distribution updates - including kernel 6.1.10, Python 3,
       systemd, busybox, SDL2, and more.
     * Updates emulators, cores, and art book next theme.
     * Improves WIFI startup time.
     * Drops -Ofast, --disable-shared --enable-static as defaults.
     * Improves boot speed.
     * Misc build dependency fixes.
-------------------------------------------------------------------------------
20230213 -

Updates

     * Kernel 6.1.11, Mesa 22.3.5, and several emulator/core updates.

Bug Fixes

     * Revert PPSSPP to last stable to resolve instability issues.
-------------------------------------------------------------------------------
20230219 -

New Features

     * RK3566 devices return - Support for RG353P/M/V/VS and RG503 using
       the RK3566 build.
          + Devices with a v1 display only, there are no plans to add
            support for devices with an updated display.
          + Requires a re-flash, updating from previous versions of JELOS
            or uOS is not supported.
          + There will not be individual builds, the RK3566 build is
            compatible across devices.

Updates

     * Overhaul of the Yuzu emulator bringing support for QT on supported
       devices.
     * Updates our emulators and cores.
-------------------------------------------------------------------------------
20230220 -

New Features

     * Adds Microsoft Xbox support.

Updates

     * Updates kernel to 6.1.12
     * Updates Cemu, Citra, and PCSX2.
-------------------------------------------------------------------------------
20230224 -

New Features

     * Libretro cores pcsx_rearmed and flycast return, thanks to
       [91]@amd343.
     * Adds Libretro core bsnds-hd, thanks to [92]@daedalia.
     * yabasanshiroSA returns for ARM devices.

Updates

     * Updates Linux kernel to 6.1.13.
     * Updates Mesa to 22.3.6
     * Updates PPSSPP.

Bug Fixes

     * Corrects an image generation issue breaking RK3588.
     * Fixes an issue with melonds no audio after the first use.
     * Fixes performance issues on some lower powered devices.
     * Fix battery reporting issues on RK3566 devices.
     * Fix jelos-info hang if temp device doesn't exist.
     * Fixes an issue with RK3566 controllers not always being available
       on boot, thanks to [93]@puffnfresh.
     * Fixes an issue with missing controllers.
-------------------------------------------------------------------------------
20230303 -

Updates

     * Updates OS packages, emulators, and cores.
     * Build tooling and many packages are now more closely aligned with
       [91]@CoreELEC.

Bug Fixes

     * Fixes an issue requiring PYTHON_EGG_CACHE to be exported during a
       docker build.
-------------------------------------------------------------------------------
20230306 -

New Features

     * Adds new core Beetle PSX.
     * Adds Box86 and Box64.
     * Adds 32bit i686 libraries for future use.

Updates

     * Updates emulators and cores, bumps kernel to 6.1.15.

Bug Fixes

     * Correct a no audio issue with Dolphin stand alone.
-------------------------------------------------------------------------------
20230311 -

Updates

     * Multiple package updates including the kernel, box86 and box64,
       emulators, and cores.

Bug Fixes

     * Corrects an issue with bluetooth not functioning after the last
       release.
     * Corrects an issue with scummvm libretro core not starting games.
     * Updates release workflow to execute actions in any fork that has
       keys defined.
-------------------------------------------------------------------------------
20230315 -

     * Updates emulators, cores, several base packages, and the Linux
       kernel.
-------------------------------------------------------------------------------
20230322 -

-------------------------------------------------------------------------------
20230326 -

New Features

     * Initial Ryujinx Emulator Support on x86_64 (handheld build).

Updates

     * Initial work to clean up and standardize emulator and core package
       naming.
     * Update emulators, cores, Mesa (23) and Linux kernel (6.1.20).

Bug Fixes

     * Fix Mupen64Plus SA on x86_64.
     * Fix a bug with movie playback and re-introduce it to RK3588 and
       RK3566 builds.
     * Correct a build issue with fakeroot and update to 1.31.1.
     * Corrects an issue preventing RK3588 devices from booting.
     * Corrects multiple package dependency issues.
-------------------------------------------------------------------------------
20230329 -

Updates

     * Linux kernel updated to 6.1.21 (handheld build).

Bug Fixes

     * Correct an issue with Bluetooth on RK3566 based devices.
-------------------------------------------------------------------------------
20230330 -

New Features

     * Adds support for Anbernic RG353 devices with a version 2 display.
          + Huge thanks to [91]@dfreivald, [92]@macromorgan, and
            [93]@RetroGFX for their work!
     * Adds initial support for RTL8821CS on RK3588 devices.
-------------------------------------------------------------------------------
20230401 -

New Features

     * Adds support for adjusting gamma/contrast/saturation/hue on
       Anbernic RG353 and RG503 devices.
          + Thanks to [91]@christianhaitian for the idea and reference
            implementation in ArkOS!
     * Foundational support for Powkiddy RK2023 (incomplete).

Updates

     * Linux kernel to 6.1.22 (handheld build only).

Bug Fixes

     * PPSSPP build fix thanks to [92]@JohnnyonFlame.
     * Misc build fixes.
-------------------------------------------------------------------------------
20230402 -

Bug Fixes

     * Fix issue preventing games from starting with Portmaster.

Misc

     * Package repo housekeeping (incomplete).
-------------------------------------------------------------------------------
20230407 -

New Features

Hardkernel ODROID Go Ultra

   Introducing support for the Hardkernel ODROID Go Ultra! Thanks to
   @brooksytech for the fantastic work on this!
     * Kernel: Linux 6.1.23 (based on the work from MDRJR)
     * GPU Drivers: Libmali w/ Vulkan

Flashing instructions:

     * Boot the device into eMMC recovery mode:
          + Stock OS: Hold R2 + L2 then power on the device
          + Recovery SD card:
            [93]https://wiki.odroid.com/odroid_go_ultra/getting_started/re
            covery_emmc
     * Connect the device to your computer via the USB C port.
     * Flash the S922X img to the device via your preferred method and
       reboot.

Known issues

     * Occasionally the device wont boot, power off and then back on
       should resolve.
     * Poor audio quality.
     * No audio in the AetherSX2 PS2 emulator.
     * No portmaster support at this time due to gpu drivers.

Updates

     * Bump kernel to 6.1.23 and update WIFI drivers.
     * Update emulators and cores.
     * New build feature switch "ENABLE_32BIT" default true, used to
       disable 32BIT package and root builds when they're not desired.
     * Misc project housekeeping to help keep our builds reliable and
       repeatable.
-------------------------------------------------------------------------------
20230408 -

New Features

   Introducing support for the new Powkiddy RK2023.
     * Uses the same image as our other RK3566 devices for installation
       and updates.
     * This device has no integrated WIFI, however online updates are
       supported using an external adapter.
-------------------------------------------------------------------------------
20230409 -

Bug Fixes

     * Corrects an issue with bluetooth being unavailable on RK3566 and
       RK3588 devices.
-------------------------------------------------------------------------------
20230413 -

Bug Fixes

     * Fix AetherSX2 audio on S922X
     * Fix File Manager on S922X
     * Fix SchedUtil Governor on S922X
     * Hopefully fix audio init on S922X

Updates

     * Update Mesa to 23.0.2
     * Update Vulkan
     * Update emulators and cores.
     * Add Odroid Recovery features to S922X U-Boot.
     * Misc project housekeeping to help keep our builds reliable and
       repeatable.
-------------------------------------------------------------------------------
20230414 -

Updates

     * Linux kernel to 6.1.24 for x86 and s922x.
     * Update emulators and cores.

Bug Fixes

     * Fix misconfigured regulator preventing cpufreq and other CPU
       features from functioning correctly on Powkiddy RK2023.
     * Correct a condition where the root password is not configured on
       startup when set externally.
-------------------------------------------------------------------------------
20230417 -

New Features

     * Adds Drastic support for S922X & RK3566 based devices.

Updates

     * Updates handheld to follow our device naming standard (now AMD64).
     * Updates standalone emulators.

Bug Fixes

     * Fixes mupen64plus-sa on RK3566 devices.
     * Corrects an issue with Fileman not opening.
     * Corrects an issue where exiting a tool spawns another instance of
       the tool before closing.
     * Fixes an issue with Yabasanshiro-sa controls on S922X.
     * Corrects an issue with RG353 v2 panel output, thanks to
       [93]@TheGammaSqueeze!

     Note: This release contains a crossover update to switch the
     handheld build to AMD64, users of the handheld build will need to
     update to the AMD64 build manually in the future if they skip this
     release.
-------------------------------------------------------------------------------
20230420 -

Updates

     * Updates emulators and cores.

Bug Fixes

     * Corrects a condition where features are missing in ES on AMD64
       devices.
-------------------------------------------------------------------------------
20230423 -

New Features

     * Adds new build option CONTAINER_SUPPORT=yes to JELOS providing
       support for docker containers.
          + Not available in release builds, currently for development use
            only.
     * Adds a new build option for building JELOS without emulators export
       EMULATION_DEVICE="no".
     * Adds additional feedback during OS boot.

Updates

     * Linux kernel 6.1.25.
     * Mesa 23.0.3.
     * Updates Ryujinx and Yuzu.
     * Migrate JELOS package dependencies to virtual packages where they
       belong.
     * S922X bootloader optimization.

Bug Fixes

     * Corrects an issue preventing Weston terminal and other tools from
       starting properly in both desktop and kiosk modes.
     * Fix AetherSX2 on RK3588 devices.
     * Corrects a condition where a base build kernel panics on boot.
     * Adds battery charge images back to S922X.
     * Improves Audio Quality on S922 devices.
     * Corrects an issue preventing FileMan from functioning correctly on
       AMD64 devices.
-------------------------------------------------------------------------------
20230424 -

New Features

     * Big / Little core selection S922X & RK3588

Updates

     * Improves docker to use /storage for data, now supports building
       JELOS with JELOS.
     * New boot ux to replace splash screens.
     * Multiple S922X improvements
          + Corrects console and terminal font size.
          + Disables blinking blue LED on S922X.
     * New tool to backup/detect/correct system configuration corruption.
     * Update Moonlight to fetch resolution from the running system rather
       than setting at build time.

Bug Fixes

     * Properly scale the ES splash regardless of aspect ratio and screen
       size.
     * Fixes system menu bug with fresh flashes.
     * Fixes language bug in ES.
     * Adds a build flag to build debug packages (DEBUG_SUPPORT=yes).

     Note: 20230424 has been re-released to correct a critical bug that
     occurs on some devices after a fresh flash.
-------------------------------------------------------------------------------
20230427 -

   We are pleased to announce support for the Powkiddy x55^1, and we would
   like to thank Powkiddy for sharing their x55 source code with us.

New Features

     * Adds support for Powkiddy x55.
     * Adds per game/system/global big/little core switching support for
       RK3588 and S922X devices.

Bug Fixes

     * Corrects missing Duckstation SA on RK3566 based devices.

     Note: ^1This device is not currently compatible with our single
     image, and is available separately. See the installation section of
     the release documentation for instructions.
-------------------------------------------------------------------------------
20230428 -

-------------------------------------------------------------------------------
20230430 -

Updates

     * Linux kernel 6.1.26 (AMD64, S922X).
     * Adds a simple toggle for headphone output switching on S922X.
          + No GPIO or kernel mechanism currently currently exists to
            allow use of a helper.
     * Update emulators and cores.

Bug Fixes

     * Fixes a missing ExFAT driver on Powkiddy x55 preventing ExFAT cards
       from functioning correctly.
     * Fix cpu and gpu governors on S922X.
     * Multiple build bug fixes since the return of the device_root
       function.
     * Corrects an issue where WIFI doesn't always start when the device
       is powered on.
-------------------------------------------------------------------------------
20230502 -

New Features

     * Announcing support for the AYANEO Air Plus^1

Updates

     * Emulator and core updates including RetroArch, PPSSPP, Ryujinx,
       Xemu, Duckstation, Flycast, Yuzu, and more.
     * Linux kernel 6.1.27.
     * Adds lower CPU clocks for S922X.
     * ODROID Go Ultra audio improvements.

Bug Fixes

     * Corrects a long standing bug preventing games cards from auto
       mounting on some devices when enabled.

     Notes: ^1 Known issues: No volume controls (no available hardware
     events), no LED controls.
-------------------------------------------------------------------------------
20230505 -

Bug Fixes

AYANEO Air Plus

     * Temporarily disables fan control to work around an issue with fan
       management.

PowKiddy x55

     * Fixes battery status to report correctly.
     * Corrects panel adjustment restore issue.

PowKiddy RK2023, Anbernic RG353 series and RG503.

     * Enables low battery led (20%).
     * Reverts updated v1 panel timings to resolve an issue with
       fragmented display on some RG353 units.
-------------------------------------------------------------------------------
20230508 -

Updates

     * Multiple base packages, SAMBA, Systemd, OpenSSH, Emulators, and
       Cores.

Bug Fixes

     * Corrects lack of volume control on AYANEO Air Plus.
     * Switch AYANEO Air Plus to use S0 sleep^1.
     * Fix Hypseus-Singe build issue allowing it to be updated.
     * Corrects an issue with the installer on AMD64 devices preventing
       devices from being available for installation.
     * Restarts the syncthing service if enabled after setting the root
       password to resolve an authentication error after password changes.

     Note: ^1 This mode prevents the device from crashing on wake from
     sleep, however it does not fully sleep the device. POWER THE DEVICE
     OFF if you will be transporting it or not using it for a period of
     time.
-------------------------------------------------------------------------------
20230516 -

New Features

     * Announcing new and refined support for some RK3326 devices
       including the RG351P/M and the ODROID Go Advance Black Edition!
     * Portmaster returns! Announcing the addition of Portmaster, that has
       been customized for JELOS and includes support for the ODROID Go
       Ultra!
     * Preliminary support for ZeroTier, thanks to [97]@NeoTheFox!
     * Flycast Libretro returns for improved Dreamcast support!

Updates

     * Core platform updates including Linux kernel 6.1.28, Mesa 23.1, and
       over 100 other base package updates.

Bug Fixes

     * Corrects an issue with panel properties not correctly restoring on
       startup.
     * Corrects an issue with the system hostname not persisting after
       being set in ES.
-------------------------------------------------------------------------------
20230517 -

New Features

     * Adds ZeroTier integration into EmulationStation, thanks to
       [97]@NeoTheFox!

Updates

     * Updates emulators and cores.

Bug Fixes

     * Corrects an issue preventing RK3566 devices from booting after a
       fresh flash.
-------------------------------------------------------------------------------
20230522 -

New Features

     * Add support for the Odroid Go Super to the RK3326 image
     * Add JelosAddOns source to portmaster
     * Add experimental citra-sa-vulkan support to S922X build

Updates

     * Update linux kernel to 6.1.29 on mainline devices
     * Add .conf to DOSBox extensions thanks to [97]@NeoTheFox!

Bug Fixes

     * Fix Rockchip devices update script
     * Adjust S922X clock speeds to hopefully fix random lockups
     * Various other bug fixes
-------------------------------------------------------------------------------
20230527 -

New Features

     * Adds support for GPD Win Max 2 (2022), thanks to [97]@rishooty!
     * Adds ZeroTier support to EmulationStation, thanks to
       [98]@NeoTheFox!

Updates

     * Bump Linux kernel to 6.1.30.
     * Updates RK3566 device core firmware.
     * Bumps Emulators and Cores.
     * Adds .conf to supported DosBox extensions, thanks to
       [99]@NeoTheFox!
     * Improves image burning tool to provide better feedback and improve
       drive selection logic.

Bug Fixes

     * Corrects performance issues on Powkiddy x55.
     * Resolves an issue with the Powkiddy x55 booting when connected to a
       charger while powered off.
     * Create missing CPS1-3 directories.
     * Corrects an issue with hostname configuration.
     * Corrects an issue causing WIFI network to sometimes not connect
       correctly during startup.
     * Fixes an issue with es_features not being properly updated with the
       OS.

     NOTE: Upgrading the x55 IS NOT SUPPORTED with this release. A fresh
     flash is required.
-------------------------------------------------------------------------------
20230603 -

New Features

     * JELOS now features support for configuring device sleep/suspend
       mode via System Settings.
     * We've added support for building ARM64 build images (and Ubuntu
       ARM64 is now a supported build target with Docker), thanks in part
       to [97]@oOblik and [98]@rishooty.
     * This release adds support for mupen64 standalone on AMD64, thanks
       to [99]@rishooty.
     * Wii and Gamecube emulation now offloads the Vulkan renderer to
       separate thread when using the standalone emulator, adds support
       for fast forward (z), and for configuring gamepad orientation.
     * Panel version is now available in System Settings / Information on
       the RG353 family of devices.

Updates

     * We've updated emulators and cores, along with power top, ryzenadj,
       and the Linux kernel has been bumped to 6.1.31.
     * Powkiddy x55 now defaults to deep sleep mode and only drains ~4%
       overnight.
     * Freeze is still our default, however S2Idle sleep is now enabled by
       default when using deep sleep mode on RG353, RK2023, and RG503.
     * Adds Vulkan QT support, thanks to [100]@rishooty.
     * Improved moped64plus build/install process, thanks to
       [101]@rishooty.

Bug Fixes

     * Corrects 3:2 aspect ratio splash generation, thanks in part to
       [102]@UzuCore.
     * We've fixed up an issue with the standalone mupen64 emulator on ARM
       devices.
     * Thanks to [103]@UzuCore, we've fixed an issue with FileMan on x55
       devices.
     * We've corrected an issue preventing DMC clock control on RK3326
       devices which improves performance by up to 15%.
     * Brightness shortcuts on x55 and RK2023 (R2 + volume) are now fixed
       and working correctly.
     * Fixed a bug preventing ssh keys from being injected into docker dev
       builds.
     * Corrects an issue preventing devices to boot if the trust/resource
       partition is swapped.

Powkiddy x55 - READ ME BEFORE UPDATING

   With JELOS version 20220527 we introduced a fix that corrected an issue
   with the device powering on and booting when it was connected to a
   charger. If you've already re-flashed your x55 with 20220527, you can
   ignore this section.

   This fix changes how the device boots and cannot be mitigated by an
   update alone. The JELOS team recommends that you re-flash your device.
   If you have updated and you're here because you have a black screen and
   the device will not boot - you're in luck because manual recovery is
   pretty easy.

Manual Recovery Steps

     * Eject the microsd and insert it into a Window/Linux/Mac PC.
     * Open /extlinux/extlinux.conf with a text editor like Visual Studio
       Code.
     * Change: FDTDIR / to FDT /rk3566-evb2-lp4x-v10-linux.dtb
     * Save and eject the card.
     * Insert the card in your x55, and it should power on normally.
     * Enter the System Settings Menu in ES.
     * Enable FORCE NEXT UPDATE.
     * Back out of the menu to save.
     * Re-enter System Settings, and select START UPDATE.
-------------------------------------------------------------------------------
20230606 -

New Features

     * Adds touch display support to RG353 family of devices, thanks to
       [97]@anaximan!

Updates

     * Bump emulators and cores.

Bug Fixes

     * Corrects failure to boot issue on RK3588 devices, and updates
       firmware.
     * Fixes several device quirks that caused boot configuration issues.
          + ATARI VCS, AYANEO Air Plus, AYANEO Air, GPD Win 4, Orange Pi
            5, Steam Deck.
     * Corrects mupen64plus standalone controls on Powkiddy x55.
-------------------------------------------------------------------------------
20230607 -

New Features

     * Adds Dolphin shader options to ES features.
     * New EXPERIMENTAL 1/2 internal resolution feature to Dolphin.
          + This produces a grainy picture BUT should make some games
            playable on lower end hardware. Can cause graphical artifacts
            or crash the game. YMMV

Bug Fixes

     * Fix Wii games and ports not starting on systems that support them
     * Corrects Wii controls
-------------------------------------------------------------------------------
20230610 -

New Features

     * Adds a new hotkey setting to Dolphin Standalone to cycle through
       internal resolutions (Select + B).

Updates

     * Updates the Linux kernel to 6.1.32, Mesa to version 23.1.2, as well
       as MelonDS and Duckstation stand alone emulators.

Bug Fixes

     * Fixes a few missing systems from the conversion to a generated
       systems list.
     * Corrects an issue with PSP minis not starting.
     * Fixes multiple bugs with Moonlight, and removes the external
       Moonlight software from PortMaster.
-------------------------------------------------------------------------------
20230614 -

New Features

     * Touch display support on RG353 devices for Drastic, thanks to
       [97]@anaximan!

Updates

     * Updates Linux kernel to 6.3.7 on AMD64.
     * Updates emulators and cores.

Bug Fixes

     * Fixes a bug where Dolphin-sa controls dont work if no profile is
       selected.
     * Splits directory creation so directories are only created for
       supported systems.
     * Fixes an issue where NDS BIOS are not being copied if found.
     * Corrects an issue with Moonlight resolution not being set
       correctly.
-------------------------------------------------------------------------------
20230617 -

New Features

     * Announcing touch display support for Anbernic RG353P and RG353M.
     * JELOS now supports the Simple64 Mupen64 core on AMD64, RK3588, and
       S922X based devices.
     * GZDoom returns and is now available for all devices!
     * Flycast SA is now default on S922X with Vulkan support.

Updates

     * Linux kernel 6.3.7 (AMD64), and 6.1.34 (S922X, RK3326).
     * Updates emulators and cores.

Bug Fixes

     * Fixes missing preempt_rt option in the AMD64 build.
     * Corrects an issue with Ryujinx.
     * Fixes issues with some PortMaster games on S922X devices.
     * Corrects a data issue with flycast2021.
-------------------------------------------------------------------------------
20230619 -

New Features

     * Reverts brightness hotkey to R2 + vol+/- and adds a battery
       reporting feature to L2 + vol+/-.

Updates

     * Updates emulators and cores.

Bug Fixes

     * Corrects an issue with get_setting not properly finding games with
       some special characters in the filename.
     * Corrects an issue with gzdoom not starting.
     * Revert preempt rt patch as it is causing the Air Pro to crash after
       a period of time.
-------------------------------------------------------------------------------
20230622 -

New Features

     * Adds support for the ROG Ally's audio device, thanks to
       [97]@ruineka [98]@ChimeraOS. ^1
     * Deprecates support for developer_settings.conf - builders, please
       migrate these variables to ${HOME}/.JELOS/options

Updates

     * Linux kernel, SyncThing, Samba, SSH, and several Emulators and
       Cores.

Bug Fixes

     * Corrects issues with deep sleep and the microsd reader on the
       AYANEO Air Plus.
     * Corrects issues with Flycast and Hatari standalone emulators not
       starting.

     Note: ^1 A community member with the device will need to build and
     submit device quirks before this device can be fully supported.
-------------------------------------------------------------------------------
20230627 -

New Features

     * Improves power management capability across the distribution and
       enables finer control over power management options.
          + AYANEO Air Pro: > 7 hours^1 for some systems.
          + AYANEO Air Plus: > 5.5 hours^1 for some systems.
     * Adds an audible battery low warning at and below 25%. Configurable
       in Audio Settings.
     * Adds a new WIFI toggle key (L2 + Volume Down).

Updates

     * Linux kernel 6.4 for AMD64 devices.

Bug Fixes

     * Fixes an issue where the cores overlay sometimes fails to mount on
       AMD64 devices.
     * Corrects an issue where items set to "auto" in EmulationStation are
       not set to auto in the OS.
     * Fixes an issue preventing FileMan from using the full display on
       Powkiddy x55.
     * Corrects an issue preventing movie playback across devices.
     * Fixes a condition where the desired GPU profile is configured
       incorrectly.

     NOTE: ^1 All power saving options enabled, CPU limited to 4 threads
     and 4w TDP, GPU set to low performance, brightness at 30%. Up to
     16bit emulation.
-------------------------------------------------------------------------------
20230629 -

Updates

     * Updates emulators and cores, and kernel firmware. Reverts Linux
       kernel to 6.3.9.

Bug Fixes

     * Corrects an issue with fan control on AYANEO Air and Air Pro.
     * Fixes a bug introduced in the last release that prevents the touch
       display from working on RK3566 devices.
     * Corrects bugs related to enhanced power savings.
-------------------------------------------------------------------------------
20230704 -

New Features

     * Support for the Anbernic RG552 returns!
     * Announcing support for the Powkiddy RGB10 Max 3 Pro (S922X image)!

Updates

     * Linux kernel 6.3.11 and 6.1.37, Mesa 23.1.3.
     * Updates emulators and cores.

Bug Fixes

     * Corrects a condition where the BIOS directory is not created.
-------------------------------------------------------------------------------
20230711 -

-------------------------------------------------------------------------------
20230712 -

New Features

     * Adds OGA controls support to Portmaster.
     * Adds MelonDS standalone support to RK3399.
     * Adds an HDMI auto switch for RK3399 (Warning: It will restart ES
       and close your game, save before connecting.)
     * Adds LED battery status indicator to RK3399.

Updates

     * Updates emulators and cores.
     * Updates Linux kernel to 6.3.12 and 6.1.38.

Bug Fixes

     * Fixes missing Gameboy Color Hacks.
     * Corrects an issue with global and per system settings not applying
       correctly.
     * Fixes missing wireguard kernel module on Powkiddy x55.
     * Corrects issues with audio support on RK3399.
     * Fixes headphone switching on RK3399.
     * Corrects an issue with ES sound settings not appearing on some
       devices.
     * Fixes a bug with RK3566 devices that causes incorrect battery
       reading in some cases requiring a battery disconnect and reconnect.
-------------------------------------------------------------------------------
20230714 -

Updates

     * Linux kernel 6.4.3 (AMD64).
     * Updates emulators and cores.
     * Improves power management for ARM devices when enabled.

Bug Fixes

     * Corrects a bug causing reduced performance on some ARM devices.
     * Fixes issue with HDMI resolution on several devices, thanks to
       [99]@Rocky5.
     * Fixes issues with the Mupen64Plus standalone emulator on x86 and
       ARM devices.
-------------------------------------------------------------------------------
20230716 -

   The JELOS team is happy to announce that our documentation has been
   migrated from the wiki and is now available [115]within the project for
   the community to help maintain via pull requests. Additionally, we are
   now generating system/emulator/core documentation at build time so it
   is always accurate for your device.

New Features

     * Amiga emulators amiberry and uae4arm return to our ARM device
       family.
     * Infocom Z-Machine emulation is now available across devices, thanks
       in part to [116]@AmberELEC!
     * Many hotkeys have been updated per device for convenience.
     * JELOS now features the GMU music player.
          + Music does not play back immediately when started from ES, it
            will be resolved in a future update.
          + Controls work, but they are a work in progress.

Updates

     * Emulators and cores have been updated.

Bug Fixes

     * GBC hacks now appear correctly in EmulationStation.
     * Fan control is no longer visible on devices without a fan.
     * MangoHUD is now hidden by default.
     * Mesa has been rolled back to version 22.3.7 to eliminate crashes.
     * The backup tool now properly names backup files.

For Developers

     * A new tool has been introduced to help speed building packages
       across devices ./tools/foreach.
          + Ex. ./tools/foreach './scripts/clean emulators &&
            ./scripts/build emulators'
     * A new make option is now available to build es_systems and system
       documentation make docs.
     * Improved logging has been added to autostart (/var/log/boot.log).
-------------------------------------------------------------------------------
20230718 -

   We are pleased to announce that JELOS now supports the AOKZOE A1 Pro
   and GPD Win 4!

New Features

     * Adds support for AOKZOE A1 Pro and GPD Win 4, thanks to
       [115]@anthonycaccese!
     * New documentation for creating custom shaders, thanks to
       [116]@gannon345!
     * Music Player now includes a start script and lists available
       playlists in ES rather than lists of songs.

Bug Fixes

     * Corrects Amiberry controls and fixes a bug preventing the emulator
       from functioning on some ARM devices.
     * Fixes an issue with music player not starting on S922X devices and
       corrects scaling on some devices.
     * Fixes recovery mode on S922X devices (OGU, Max 3).
     * Corrects an issue with RK3399 that caused random lockups on some
       devices.
     * Fixes an issue in EmulationStation where opening the system or game
       settings menu will enable all threads when no selection is made.
     * Corrects a condition where enhanced power saving options are set
       even when enhanced power saving mode is disabled.
-------------------------------------------------------------------------------
20230721 -

New Features

     * Our Art Book theme has had a major overhaul and it looks marvelous.
       Some new features include:
          + A new help bar describing button configuration that switches
            for those who prefer B/A over A/B.
          + Improved support for aspect ratios.
          + Icons to showcase menu items.
          + Immersive gamelist views.
     * LED battery notifications are now available on RG351P and RGB10 Max
       3 devices!
     * We've added support for Desmume Libretro core on RK3399 devices.
     * JELOS now launches games faster than ever due to several
       performance optimizations in how games are configured and launched.
     * We're pleased to announce support for Arduboy across our family of
       devices.
     * The gPSP GBA emulator has returned to our Rockchip devices!
     * PSP emulation now uses the OpenGL renderer replacing GLES on
       RK3326, RK3588, RK3399, & AMD64 devices.
     * The RK3399 kernel has been further optimized to eliminate bugs and
       improve performance.

Updates

     * Linux kernel 6.4.4 (AMD64), and 6.1.39 (S922X, RK3399, RK3326).
     * The Yuzu and Xemu emulators have been updated.

Bug Fixes

     * Corrects a bug preventing memory and gpu governor setting on some
       devices.
     * Amiberry now enables the on screen keyboard overlay on startup.
-------------------------------------------------------------------------------
20230724 -

New Features

     * The JELOS team is pleased to announce updated defaults to our
       wonderful Art Book theme!
          + Multi Artwork mode is now default, along with full status bar
            transparency!
          + The EmulationStation startup splash with JELOS logo is now
            deprecated and removed.
     * HDMI out is now supported on the Powkiddy x55!
     * The Desmume Libretto core is now available across Rockchip devices.

Updates

     * Emulators and cores have been updated.
     * Linux kernel has been updated to 6.4.5 (AMD64), and 6.1.40 (S922X,
       RK3399, RK3326).
     * Mesa 23.1.4.
     * Relabels CPU governor to scaling governor in EmulationStation.

Bug Fixes

     * PPSSPP controls have been corrected on RK3326 devices.
     * Additional RK3399 bug fixes to improve stability.
     * Corrects an issue setting the 16:10 aspect ratio in
       EmulationStation.
     * EmulationStation no longer shows GPU settings on unsupported
       devices.
     * Dolphin SA and Primehack no longer appear in ES on unsupported
       devices.
     * Autostart no longer skips device specific start scripts.
     * Corrects an issue of missing the snapshot directories on new
       flashes.
     * Fixes a bug where RetroArch does not retain the correct overlayfs
       paths.
-------------------------------------------------------------------------------
20230726 -

New Features

     * New TDP options and AMD devices now default to 15W TDP.
          + 2.5w, 4.5w, 9w, 12w, 15w, 18w, 22w, 24w, and 28w.
     * Adds support for ryzensmu (AMD64).
     * Adds a new platform quirks feature for future use.

Updates

     * Update Linux to 6.4.6 and 6.1.41
     * Update alsa and associated packages.
     * Updates multiple stand alone emulators.

Bug Fixes

     * Multiple games settings fixes
          + Corrects issues with controller index passed from
            EmulationStation.
          + Primary controller in EmulationStation is configured for
            hotkeys.
          + Analog dpad configuration now works correctly.
          + Fixes a data issue preventing certain keys from being properly
            deleted.
     * GPU performance settings are now correctly configured per system.
     * Fix error on exiting PICO-8.
     * Removes ES logo.
     * Only enable auto mute for specific models of AYANEO Air Plus
       (6800U).
     * Corrects an issue preventing configuration settings from being set
       before executing ports.
     * Cleans up multiple quirks and supported file extensions.
     * Labels certain power saving settings to warn of possible
       instability when used.
-------------------------------------------------------------------------------
20230728 -

Updates

     * Update SDL2 to 2.28.1.
     * Update Linux kernel to 6.4.7 and 6.1.42.
     * GMU music player controls are now automatically configured on
       startup.

Bug Fixes

     * The RG552 (RK3399) no longer crashes and locks up while idle or
       during game play.
     * Corrects a bug preventing a Wii U Pro Controller configuration from
       working correctly.
     * Moves RetroArch input settings to post-update to correct a
       setsettings performance regression.
     * Corrects a data issue preventing ES from showing games with a .dosz
       extension.
     * A sleep wake bug has been fixed which prevented audio from
       functioning on wake on the Powkiddy x55.
     * Fix power state and auto suspend bug on AMD64.
     * Updates Art Book Next to resolve a few theme issues.
     * Hide moonlight on S922X.
-------------------------------------------------------------------------------
20230804 -

New Features

     * JELOS now has an audio reset feature in Danger Zone that allows
       users to reset audio settings.
     * PPSSPP control mapping is now available for ODROID Go Advance.

Updates

     * Linux kernel 6.4.8 and 6.1.43.
     * Updates emulators and cores.
          + Duckstation, Flycast, Hatarisa, Mupen64, PPSSPP, RetroArch,
            ScummVM, Yuzu, and Xemu standalone emulators.
          + Box64, Beetle Lynx, DosBox Pure, Fake08, FBNeo, Gearboy,
            Gearcoleco, Gearsystem, Genesis Plus GX and GX Wide, Mame2003
            Plus, PCSX Rearmed, PPSSPP, and Swanstation libretro cores.
          + GLSL and SLANG shaders.
     * Improves HDMI out support on Powkiddy x55 and adds a hotkey to
       restart EmulationStation (L1 + Select + Start).

Bug Fixes

     * Pins Mesa to 22.3.7 on RK3399 to resolve additional crash issues.
     * Fix GPIO wifi control to resolve kernel panic issue on RK3399.
     * Fixes parallel N64 resolution issue, thanks to [115]@littleguy77.
     * Corrects issues with Mupen64 Standalone emulator and cores across
       all supported devices.
     * Fixes a bug preventing Xemu from exiting correctly.
     * Corrects multiple emulation filename data errors.
     * Eliminates a potential cause of settings data loss.
     * Setsettings now configures the fastforward button as our
       documentation indicates.
     * Fixes a bug preventing RetroArch controller configuration from
       being set properly when configured in EmulationStation.
     * Corrects an issue with RetroArch losing desired path settings.
     * TDP is now correctly set to default when no TDP or an invalid TDP
       is requested.
-------------------------------------------------------------------------------
20230811 -

New Features

     * We are happy to announce that we have migrated to pipewire for
       audio management, allowing all of the old mechanisms and quirks to
       be deprecated and removed.
     * JELOS now supports bluetooth and HDMI audio output auto switching
       across supported devices.
     * Audio and brightness now increment by 10 and are unified across
       devices.
     * We now have a new energy performance preference configuration
       option for Intel CPUs (AMD64).
     * Mupen64 plugins have been simplified in ES. Same options, more
       flexible configuration.
     * Documentation is now available for setting up SyncThing and
       Bluetooth Audio, thanks to [115]@wansti!

Updates

     * Mesa 21.1.5
     * Linux 6.4.9 (AMD64), and 6.1.44 (S922X, RK3326, RK3399)

Bug Fixes

     * Updates clock rates on S922X devices to help eliminate stability
       issues.
     * JELOS information now correctly reports system battery status when
       other battery operated devices are connected.
     * Corrects an issue where JELOS would sometimes not unmount cleanly
       during the initial resize causing the device to power off.
     * Fixes a bug preventing brightness control hotkeys from working on
       AYANEO Air and Air Pro.
     * Bluetooth audio and headset pairing now works correctly across our
       ARM devices.
     * Scummvm standalone emulator audio now works correctly.
     * Vice standalone emulator controls have been corrected across
       devices.
-------------------------------------------------------------------------------
20230814 -

New Features

     * Netplay returns! Enable in Games Settings, press X from the main
       interface to launch the netplay lobby or X over a game to find
       options for hosting or connecting a session on your local network!
     * Adds a new standalone emulator NanoBoyAdance for OpenGL capable
       devices (AMD64, RK3399, RK3588, RK3326).

Updates

     * New PPSSPP features are now available in EmulationStation.
     * Display rotation is now improved on Powkiddy x55, thanks to
       [115]@JohnnyonFlame!
     * Performance mode is now default for Dreamcast, Saturn, PSP, and N64
       systems on many ARM devices.
     * Artbook Next theme updated to include higher res artwork for some
       systems.
     * Updates emulators, cores, and emulation support packages.
          + box64, a5200-lr, atari800-lr, beetle-pce-fast-lr,
            beetle-pce-lr, beetle-psx-lr, bsnes-lr, package.mk,
            desmume-lr, dosbox-pure-lr, fbneo-lr, flycast-lr,
            genesis-plus-gx-lr, genesis-plus-gx-wide-lr, handy-lr,
            mame-lr, mame2003-plus-lr, mupen64plus-nx-lr, opera-lr,
            pcsx_rearmed-lr, picodrive-lr, play-lr, ppsspp-lr, stella-lr,
            swanstation-lr, tic80-lr, cemu-sa, duckstation-sa, hatarisa,
            package.mk, ppsspp-sa, primehack, retroarch, scummvmsa,
            yuzu-sa, glsl-shaders, slang-shaders, and retroarch-joypads.
     * Updates Linux kernel to 6.4.10 (AMD64), and 6.1.45 (S922X, RK3399,
       RK3326)

Bug Fixes

     * Fixed an issue causing audio latency and choppy playback.
     * Corrected a bug causing the volume and brightness control service
       to fail when battery status was requested.
     * Corrects an issue preventing scummvm standalone from starting
       correctly.
     * Fixes bugs related to audio output selection preventing audio on
       some devices during the first boot.
     * Resolves missing 32bit library issue causing some cores to fail to
       launch.
-------------------------------------------------------------------------------
20230817 -

New Features

   The JELOS team is happy to announce support for local network play.
   This feature creates a device to device network allowing network play
   for up to four JELOS devices and you are able to mix and match any
   supported device as long as they are on the same version of JELOS!

   Using this feature is simple, just enable it on each device, select a
   host or client ID, wait for the devices to converge, and then start
   your netplay session.

Host Device

     * Select Games Settings -> Netplay Settings
          + NetPlay -> Enabled
          + Index Games
     * Select Network Settings
          + Enable Local Play Mode
          + Select 1 (Host)
     * Choose a game and press Y
          + Select Netplay Options
               o Select Host a Netplay Session

Client Device(s)

     * Select Games Settings -> Netplay Settings
          + NetPlay -> Enabled
          + Index Games
     * Select Network Settings
          + Enable Local Play Mode
          + Select 2-4 (Clients)
     * Choose a game and press Y
          + Select Netplay Options
               o Select Connect to a Netplay Session

Updates

     * Updates Yuzu and Xemu standalone emulators.

Bug Fixes

     * Corrects issues with pipewire-alsa compatibility and resolves a
       performance regression on some devices. Thanks to [115]@obi1!
     * Corrects no audio issue on the ODROID Go Ultra.
-------------------------------------------------------------------------------
20230820 -

New Features

     * Adds support for GB/GBC link cable play. Select the Gambatte or
       TGBDual core, and start a netplay client/host session and game link
       is enabled automatically. * TGBDual recommended.
     * Artbook Next now has initial support for 1:1 aspect ratios.

Updates

     * Linux kernel 6.4.11 (AMD64)
     * MESA 23.1.6
     * Rclone 1.63.1
     * Syncthing 1.23.7
     * Fuse 3.16.1

Bug Fixes

     * Fixes an issue preventing WIFI connecting on startup after a fresh
       flash in some instances.
     * Now ensures the save states directory is created by default.
     * Corrects the default gamma setting to 50 rather than 5.
     * Fixes missing right analog trigger in RetroArch on AYANEO devices.
-------------------------------------------------------------------------------
20230824 -

New Features

     * ODROID GO Ultra and Powkiddy RGB10 Max now have proper internal
       display support, eliminating screen tearing!
     * Setting an SSID and Passphrase are no longer required for local
       netplay, they are now generated automatically when enabled.
     * Dreamcast RetroAchievements are now available, thanks to
       [115]@obi1!
     * Add EmulationStation features allowing configuration of Auto Frame
       Skip, Aspect Ratio, Show FPS, and VSync.

Updates

     * Update Linux kernel to 6.1.47 (S922X, RK3399, RK3326).
     * Corrects an issue with vim by creating defaults at build time,
       thanks to [116]@conchyliculture!
     * Initial support for RG351V (Work in progress).

Bug Fixes

     * Correctly honor Fast HLE (Mupen) choice for RSP plugin, thanks to
       [117]@littleguy77.
     * Splits fuse 2.x and 3.x to allow applications that need both to
       function correctly.
-------------------------------------------------------------------------------
20230826 -

Updates

     * Core platform refresh updating many distribution packages.
     * Adds a change log preview to system settings allowing users to
       preview changes before updating - available after this update.

Bug Fixes

     * Corrects an issue with cross-device local network play.
     * Disables system suspend on ODROID Go Ultra and Powkiddy RGB 10 Max.
     * Fixes an issue where volume service is starting before required
       variables are created on fresh installations.
     * Adds a warning when building a device with a prerequisite build
       that does not exist.
-------------------------------------------------------------------------------
20230831 -

New Features

     * Adds the puae2021 Amiga core, thanks to [116]@ilmenit!

Updates

     * Updates emulators, cores, and moonlight.
          + Citra-sa update fixes touch input, and adds virtual mouse
            support on S922X!
     * Linux 6.1.49 (S922X, RK3399, RK3326).

Bug Fixes

     * Corrects an issue where the GPU setting of "auto" isn't always
       honored (AMD64).
     * Fixes an issue where the desired TDP isn't correctly set on startup
       (AMD64).
     * Corrects a Vulkan regression on S922X.
     * Panel refresh rates should be back at 60hz on S922X.
     * Updates PortMaster to fix an input issue, thanks to [117]@kloptops!
     * OGA audio output path now correctly set on startup.
     * Fix VIM defaults, thanks to [118]@conchyliculture.
-------------------------------------------------------------------------------
20230903 -

New Features

     * Adds support for the new Powkiddy RGB30.
     * Adds FPS setting to GlideN64, thanks to [118]@littleguy77!

Updates

     * Linux kernel 6.1.51 (S922X, RK3399, RK3326).
     * Linux kernel 6.4.13 (AMD64).

Bug Fixes

     * Fix WIFI configuration to allow for an empty passphrase. Thanks to
       [119]@conchyliculture!
     * Revert fix for battery status reading on RK3566 devices. This may
       require users reseat their batteries more often.
     * Corrects dead zone issue on the Powkiddy RGB Max 3.
-------------------------------------------------------------------------------
20230909 -

New Features

     * Adds initial support for Ayn Loki Zero!
     * Adds initial support for PS Vita emulation (AMD64 only).
     * Adds a max incremental saves option to ES for RetroArch and fixes a
       setsettings bug, thanks to [118]@Stosman!
     * SNES and Genesis multi-tap are now configured by default for
       netplay!
     * Adds pixel perfect scaling to Pico-8, and enables it by default on
       the Powkiddy RGB30! Thanks to [119]@christianhaitian!
     * EmulationStation now has an option to select the graphics backend
       for PPSSPP.

Updates

     * Linux kernel 6.4.15, and 6.1.52.
     * Updates emulators and cores.
     * Adds PS Vita to Art Book Next.
     * Updates Mesa to 23.1.7.
     * Reworked quirks mechanism to collapse common platform quirks and
       reduce quirk sprawl.
     * Audio latency is now honored system wide, configured in Games
       Settings/Latency Reduction.

Bug Fixes

     * Corrects a bug with Weston preventing output on some devices.
     * Fixes and improves to our build documentation, thanks to
       [120]@littleguy77!
     * Corrects an issue with sources and binaries being used outside of
       the build root, thanks to [121]@adamg88!
     * Refactors profile scripts to correct ordering and sequence issues.
     * Fixes a bug with RG351P volume not being correctly set on startup
       causing a low volume issue.
     * Fixes a no audio bug on the RG351V.
     * Corrects a first boot bug causing unexpected data to appear during
       first setup.
-------------------------------------------------------------------------------
20230914 -

New Features

     * Adds Ayn Loki Max as a supported device!
     * JELOS now supports LED and Fan control for Ayn Loki Zero and Loki
       Max!
     * Headphone detect is now available for the ODROID Go Ultra!
     * Firmware (BIOS) fan control is now available across supported
       devices (auto).
     * Adds a new SCSI Link Power Management feature for improved battery
       life on supported devices.
     * Support for the display during u-boot initialization returns to
       S922X devices!

Updates

     * Linux kernel 6.4.16 and 6.1.53.
     * Documentation updates, thanks to [118]@littleguy77!
     * Increased dead zones for Powkiddy RGB 10 Max 3 Pro.
     * Updates emulators and cores.

Bug Fixes

     * Corrects a condition where GPU performance does not save when set
       to Auto. Updates "default" behavior when configuring per
       system/game.
     * Ensures bluetooth volume is set when devices connect so device
       volume isn't 100%.
     * Amlogic u-boot typo fix and package cleanup, thanks to
       [119]@adamg88!
     * JELOS now waits for automount to complete before starting
       EmulationStation to correct a condition where ES sometimes loads
       before games are available.
     * Corrects FPS and screen stretching configuration options for
       mupen64plus-sa.
     * Fixes an issue with global latency settings not being honored.
     * Movie playback bugs have been fixed and hardware acceleration is
       available where supported.
     * Reverts removal of ES audio path configuration from post-update to
       resolve no audio in ES when updating from pre-pipewire versions of
       JELOS.
-------------------------------------------------------------------------------
20230915 -

Updates

     * Emulators updated: Flycast-SA, MelonDS-SA, and Yuzu-SA.

Bug Fixes

     * Fixes a get_settings bug that caused the system to always run in
       performance mode during gameplay if a system/game setting was not
       available causing unnecessary battery drain.
          + Note: Some emulation may feel less performant, use system/game
            settings to adjust the scheduler as needed.
     * Corrects an issue preventing RetroArch rewind from being enabled
       when set.
     * Fixes a bug preventing audio output in EmulationStation if enable
       video preview audio had been previously disabled.
-------------------------------------------------------------------------------
20230919 -

New Features

     * AYN Loki LED control now supports brightness and rainbow pulse
       (default)!
     * The "black" screensaver now reduces the display brightness to zero
       when active to reduce idle power consumption.
     * AYANEO Air and AYN Loki now flash LEDs red on low battery.
     * Several ID Software libretro cores have returned!
     * CEMU now allows switching to gamepad view using the Ayaneo button
       or the right lower action button on Loki.

Updates

     * Updates emulators and cores.
     * Improved fan profiles for AYANEO Air and Air Pro.

Bug Fixes

     * Disable the RetroArch image viewer so games properly start in
       FAKE-08.
     * Fixes a few issues causing the builder to reach out of the build
       root to build packages, thanks to [118]@adamg88!
     * Corrects an issue with brightness not saving when set in
       EmulationStation.
     * Fixes a bug preventing video screensaver audio output when enabled
       in EmulationStation.
     * Corrects a bug in EmulationStation preventing the default GPU
       profile from being displayed correctly in system/game settings
       menus.
-------------------------------------------------------------------------------
20231003 -

New Features

     * The JELOS team is happy to announce our new wiki @
       [116]https://www.jelos.org!
          + If you would like to become a contributor you're welcome to PR
            changes to the [117]jelos.org repository! We recommend joining
            our Discord community to talk about your changes with our
            community of developers and users.
     * LED control is now available for AYANEO Air Plus!
     * Parallel graphics and audio plugins for N64 emulation are now
       available on supported devices!
     * Gamecube/Wii and NDS standalone emulators are now available on
       RK3588 devices!
     * 30W TDP is now a configurable option for AMD64 devices.
     * Vulkan is now available on Haswell devices, thanks to
       [118]@asoderq!

Updates

     * LED and Fan control optimizations on supported AYANEO and AYN
       devices.
     * Kernel 6.1.55 and Mesa 23.2.1 for supported devices.
     * Adds AYN platform driver, thanks to [119]@pastaq!
     * Bluetooth audio latency has been reduced, improving but not
       eliminating it.
     * Emulators and cores have been updated!
     * PCSX2 is now the default PS2 emulator for AMD64 on new
       installations.
     * AYN Mini Pro internal display is now rotated correctly.

Bug Fixes

     * Improved build support and optimization, thanks to [120]@adamg88!
     * Improved radial deadzone scaling for S922X devices, thanks to
       [121]@littleguy77!
     * Fixes an incorrect soundfont path for ScummVM, thanks to
       [122]@miwasp!
     * PCSX2 no longer requires a screen tap or mouse movement before
       starting emulation.
     * CPU temperature and fan speed now reported correctly in System
       Information on supported devices.
-------------------------------------------------------------------------------
20231012 -

Updates and New Features

     * Brightness logic has been re-worked to switch from a linear to a
       logarithmic model thanks to [116]@Percentnineteen!
     * JELOS now uses the full version of Moonlight on AMD64 devices,
       thanks to [117]@beebono!
     * Linux kernel 6.1.57 on supported devices.
     * Duckstation SA now has a video renderer option available.
     * Tools in the tools menu now have logos!
     * Dolphin (Gamecube/Wii) is no longer available on RK3566 devices.
     * EmulationStation no longer loops game video playback.
     * Hardware video playback is now used by EmulationStation to play
       videos when available.
     * RK3566 Libmali drivers have been updated to g13.
     * An internal WIFI switch has been added for RK3399.
     * CHD extension support is now available for PPSSPP.
     * Updates emulators and cores

Bug Fixes

     * Corrects an issue causing audio to not mute when headphones are
       connected on Powkiddy x55.
     * Standalone emulator start scripts are now only available when the
       emulator is installed.
     * Multiple EmulationStation bugs have been fixed to improve
       stability.
-------------------------------------------------------------------------------
20231016 -

New Features

     * RPCS3 emulation now supports PSN games and includes functional
       controller mapping by default (AMD64).
     * PCSX2 now includes an ES option to enable and disable FPS.
     * System names now correctly describe the system being emulated.
     * EmulationStation now offers the ability to disable preview videos.

Updates

     * Updates to our default theme Art Book Next, emulators, and cores.

Bug Fixes

     * Corrects a compatibility bug with podman, thanks to
       [116]@ColinKinloch!
     * Fixes and optimizes ES bluetooth enable/disable to correct bugs and
       improve performance.
     * Corrects a brightness bug that caused brightness to reduce to 0 if
       the brightness table did not exist after the previous update.
     * Recovery mode issues have been resolved for ODROID Go Ultra and
       Powkiddy RGB10 Max 3, thanks to [117]@adamg88 for helping debug and
       correct the issues!
     * Fixes a bug with Powkiddy RGB10 Max 3 audio quirks.
     * Suspend tool now restarts systemd-logind if the mode has been
       changed and no longer requires a reboot.
-------------------------------------------------------------------------------
20231022 -

New Features

     * The JELOS team is pleased to announce support for the ODROID N2 and
       N2+ models, thanks to [118]@adamg88!

Updates

     * Linux 6.1.58 on supported devices.
     * Improvements to the JELOS logo and console font.
     * Pico-8 now supports multiple arch binaries in the games directory.
       Use pico-8/aarch64 and pico-8/x86_64. Previous behavior has been
       preserved.
     * System menu sorting and grouping has been improved.
     * PCSX rearmed now enables threaded rendering by default, thanks to
       [119]@christianhaitian.

Bug Fixes

     * Adds a basic es_systems.cfg to correct a condition where ES does
       not start correctly when building with EMULATION_SUPPORT=no.
     * Fixes an bug that broke audio output on Powkiddy RGB10 Max 3.
     * Corrects an issue with Pico-8 startup that prevented starting the
       dynamic binary if the static binary exists and fails to start.
     * Now sets permissions on the Pico-8 binary before executing.
     * PCSX rearmed has been reverted to a previous version to correct
       artifacting issues.
-------------------------------------------------------------------------------
20231023 -

Updates

     * Linux kernel 6.4.8 (AMD64), 6.1.59 (S922X, RK3399, RK3326).
     * Update emulators, cores, and theme.

Bug Fixes

     * Revert bluetooth update to restore bluetooth functionality.
     * Fix Pico-8 failing to start on some devices.
     * Corrects an issue routing audio on S922X SBC devices.
-------------------------------------------------------------------------------
20231029 -

New Features

     * Enables entware, adding opkg support to JELOS, thanks to
       [119]@adamg88!
     * Adds the Kronos Sega Saturn emulator to AMD64 devices!
     * Adds Mednafen support to RK3399 devices, thanks to [120]@asoderq!
     * Adds support for Macintosh Plus emulation across devices.

Updates

     * Enables DRM Framebuffer double buffering to improve performance on
       KMS/DRM devices (RK3566), thanks in part to [121]@shauninman!
     * Updates emulators, libretro cores, and system theme.
     * Linux kernel 6.5.9 (AMD64) and 6.1.60 (RK3326, RK3399, S922X).
     * Adds esp8089 WIFI driver for Odroid Go Advance Black Edition,
       thanks to [122]@ab0tj
     * Use game name in save state filename to Dolphin SA, thanks to
       [123]@batocera!

Bug Fixes

     * Improve emulation performance across a variety of cores and
       emulators.
     * Corrects an issue with RG351P/M waking from sleep, thanks to
       [124]@macromorgan!
     * Fixes a bug causing retroarch latency settings to be ignored.
     * Corrects CPU opp tables for S922X and A311D devices, thanks to
       [125]@adamg88!
-------------------------------------------------------------------------------
20231110 -

New Features

     * JELOS is happy to announce support for the HardKernel ODROID N2L,
       thanks to [121]@adamg88!
     * We're also happy to announce support for the Powkiddy RGB10, thanks
       to [122]@ab0tj!
     * GPU performance modes are now user configurable on ARM devices.
     * Mednafen is now available on AMD64 and RK3326 devices! Thanks to
       [123]@asoderq!
     * JELOS now includes the latest version of [124]PortMaster for
       supported ARM devices.
          + Note: S922X and A311D based devices are not currently
            supported. Postmaster is not yet available for AMD64.

Updates

     * Linux kernel 6.5.11 (AMD64) and 6.1.62 (S922X, RK3399, RK3329).
     * Update emulators, cores, and theme.
     * Enables debug tools across supported devices.
     * Multiple RK3399 platform improvements including an updated kernel
       config to remove unneeded features/drivers and improve stability!
     * Implements radial thresholding on Powkiddy X55 and RK3399, thanks
       to [125]@JohnnyonFlame!
     * AMD64 optimization improvements.
          + Note: Optimization breaks compatibility with platforms that do
            not support AVX including N5000.
     * Factory Reset now available in System Settings -> Danger Zone.
     * UI improvements including improved emulator and tools sorting.

Bug Fixes

     * Switch RetroArch default audio output from pulseaudio to
       alsathread.
     * Correct low audio issues on multiple devices including ODROID Go
       Ultra and RGB10 Max 3 Pro.
     * Switches RK3566 devices to utilize BSP native battery reporting.
     * Corrects an issue causing the desired GPU state to be overridden by
       the desired CPU state function.
     * Fixes an issue with TDP selection that caused the system TDP to
       fail to restore after exiting a game.
     * Corrects a bug preventing correct CPU frequency selection on ODROID
       Go Ultra and RGB 10 Max 3 Pro.
     * Fixes audio on resume from sleep and corrects issues with HDMI
       audio on RK3399 devices.
     * Improves memory voltages to improve device support for RK3326.
-------------------------------------------------------------------------------
20231112 -

New Features

     * CEMU now supports enabling online mode for the system or per game.
          + Note: Online mode requires owning a Wii-U and configuring CEMU
            for online play manually.
     * Adds a start script to the tools menu for Ryujinx on supported
       devices.

Bug Fixes

     * Fixes a bug preventing JELOS from booting on RG353P.
          + Note: If your device was affected you can recover by editing
            extlinux/extlinux.conf on the boot partition of your JELOS
            MicroSD, changing: FDTDIR / to FDT /rk3566-rg353p-linux.dtb.
            You do NOT need to re-flash.
     * Corrects missing kill shortcut for PortMaster.
     * AetherSX2 now starts correctly on supported ARM devices.
     * Enables performance mode by default for GBA and PSX on RK3326
       devices.
     * Corrects a bug preventing Mednafen from being available for ST-V
       emulation.
-------------------------------------------------------------------------------
20231116 -

New Features

     * Drops support for filesystem features that are not yet supported on
       popular Linux distributions for new flashes, thanks to
       [121]@troopermax!
     * EmulationStation now reduces physical brightness in black and dim
       screen saver modes to reduce power consumption while idle.

Updates

     * Our core platform has been updated which consists of updates to
       hundreds of packages including our base system, kernel, firmware,
       emulators and cores, EmulationStation, our Art Book theme, and
       more.
     * Devices supported by our S922X platform now use performance mode by
       default for GameCube, PS2, and 3DS.
     * Adds Mednafen reset to Danger Zone menu.

Bug Fixes

     * Portmaster control issues have been resolved across supported
       devices.
     * Portmaster compatibility libraries are now properly configured on
       installation.
     * Tailscale was previously installed incorrectly on AMD64 devices,
       this issue has been resolved.
     * Corrects a bug preventing Citra-SA from functioning correctly on
       S922X devices.
     * RK3399 kernel optimizations including removal of unnecessary /
       unused drivers and frequencies.
     * Mednafen now configures properly on startup after a fresh flash.
-------------------------------------------------------------------------------
20231124 -

Updates

     * Linux kernel 6.1.63 for RK3326, RK3399, and S922X.
     * Linux kernel 6.6.2 for AMD64.
     * Updates emulators, cores, emulation support packages, and theme.
     * Games installed via Portmaster now default to performance mode.

Bug Fixes

     * Corrects an issue preventing EmulationStation from starting on
       SBCs.
     * Fixes a bug preventing 3DS emulation from executing on some Weston
       devices.
     * Adds a missing SDL joystick mapping for RK3566 devices.
     * Fixes an issue on RK3566 devices causing battery drain when
       charging the device while it is powered off.
          + Correction requires a modification in how the device boots.
            When you connect a charger and the power is off, the device
            will now power on. This is expected behavior and not a bug.
          + As the method of booting has changed, it is possible that
            battery reporting could be inaccurate and require a battery
            reset. To reset, disconnect the battery from the mainboard for
            10 seconds.
          + DO NOT ATTEMPT TO DRAIN THE BATTERY TO RESET, this will cause
            the charge controller to become even more inaccurate.
          + Big thanks to Recalbox for developing the feature.
-------------------------------------------------------------------------------
20231127 -

New Features

     * Improved support for AMD's p-state driver for improved battery life
       across supported devices.
     * Initial support for USB gadget mode, thanks to [121]@citral23!

Updates

     * Update emulators and cores.

Bug Fixes

     * Revert Retroarch version to correct issue with Retroachievement
       related crashes.
     * Revert battery drain when charged while off fix, as it has led to
       quite a bit of instability.
     * Revert enable uart2 on Powkiddy x55 as it broke sleep.
-------------------------------------------------------------------------------
20231201 -

New Features

     * The JELOS team is happy to announce support for merged storage!
       This change merges your internal or tf1 microsd storage with your
       external microsd to allow both devices to be used as game storage!
          + Requires the microsd card to be formatted as ext4, the feature
            is automatically disabled when ExFAT and FAT are used as those
            filesystems are not compatible.
          + We now have a new directory structure for games:
               o Internal Storage (or tf1): /storage/games-internal
               o External MicroSD (or tf2): /storage/games-external
               o Combined Path: /storage/roms
          + Games and data copied to /storage/roms will be saved to
            /storage/games-internal.
          + Samba has been updated to present both volumes for network
            access.
          + EmulationStation now has an eject option under System Settings
            -> Hardware /Storage that is available when merged storage is
            active.
          + When a compatible microsd is inserted, JELOS will
            automatically add it to the overlay if merged storage is
            active, making the content available to ES after a gamelist
            update or an ES restart.
          + The udevil service will no longer mount microsd cards to
            /run/media, however it will still handle mounting all other
            external storage.
          + After the update, JELOS will automatically migrate your
            current roms directory to /storage/games-internal once.
          + A new function is available in System Settings to disable
            merged storage, please disable before copying files into the
            games folders.
          + The rom split tool is now deprecated as it is no longer
            needed.
     * Adds saving for TWB64 and Pixelshift Gambatte palettes, thanks to
       [121]@GlazedBelmont!
     * JELOS now supports AptX and AptX-LL Bluetooth audio using supported
       devices and headphones. Thanks to [122]@ValveSoftware for patches
       and reference sources.
     * CPS1, CPS2, and CPS3 now include support for RetroAchievements,
       thanks to [123]@BitingChaos!

Updates

     * JELOS now includes all available Realtek WIFI firmwares in every
       image.
     * Hotkey management has moved from System Settings to Controller and
       Bluetooth Settings.
     * Many switches in EmulationStation have been updated to execute
       immediately rather than requiring users to back out of menus to
       save.
     * Update Linux to 6.6.3 and 6.1.4, Mesa updated to 23.3.0.
     * Anbernic RG552 and RK3326 devices now shift into powersave mode
       before sleep to significantly reduce power consumption while
       sleeping.
     * AMD64 Linux kernel now includes [124]@NeroReflex's optimize harder
       patch for improved optimization.
     * Adds support for Lenovo Legion GO display rotation, thanks to
       [125]@mauroferra!

Bug Fixes

     * Resequenced thread and gpu setting on boot as it was being excuted
       too early for some devices.
     * Fixes a condition with powerstate where the status variable is
       being clobbered causing it to loop and waste unnecessary resources.
     * Corrects a bug preventing voltage stepping on ODROID GO Ultra and
       Powkiddy RGB10 Max 3 Pro.
     * Fixes an incorrect architecture issue with TailScale.
     * Reverts RPCS3-SA to an earlier version to resolve game startup and
       crash issues.
     * Corrects an issue with Wireguard tools not being executable, thanks
       to [126]@mauroferra!
     * Fixes Portmaster permissions preventing the software from executing
       correctly under certain conditions.
-------------------------------------------------------------------------------
20231212 -

New Features

     * Adds support for changing the merged storage target between the
       internal and external card.
          + Since JELOS creates the games directory structure it is
            possible that the overlay will hide games if you switch
            targets as it will consider them removed. Delete the empty
            directories and reboot to resolve.
               o Ex: find /storage/games-internal -type d -empty -delete
                 && find /storage/games-external -type d -empty -delete &&
                 reboot
          + Merged storage can now be disabled persistently.
          + A new directory structure is required to enable switching:
               o /storage/games-internal/roms
               o /storage/games-external/roms
               o The target /storage/roms has not changed.
               o Games will be migrated automatically when possible.
               o If game directories are not created correctly, ssh into
                 the device and run systemd-tmpfiles --create
                 /usr/config/system-dirs.conf.
     * Lowers RK3566 device clocks when put to sleep.
     * Adds ATSC acceleration and CPU accuracy options to Yuzu.
     * Adds TWB64 - Pack 3, thanks to [121]@GlazedBelmont!

Updates

     * Update Mali Bifrost and Vulkan to r46 (S922X).
     * JELOS now uses Xwayland and has deprecated xorg-server.
     * Updates Portmaster, Citra-SA, Flycast-SA, Yuzu-SA, Cemu-SA,
       Gambatte-LR, and the Linux kernel to 6.1.65 and 6.6.5 on supported
       devices.
     * Check if the controller is registered and 8bitdo and force
       360-behavior in mednafen, thanks to [122]@sydarn!

Bug Fixes

     * Fixes an issue with Yuzu graphics glitching due to bad Mesa
       compiler flags.
     * Removes 1908 clock as it is not present in the BSP kernel (S922X).
     * Corrects an issue with Yuzu prompting for confirmation when closing
       the app.
     * Update process now removes stale profile scripts that cause missing
       audio on some devices.
     * Fixes a udevil regression preventing thumb drives from mounting
       automatically.
     * Corrects factory reset to ignore new games paths.
     * Applies a workaround to portmaster to set permissions on games if
       they are not already set.
     * Adjusts available clock frequencies on RK3326 devices to improve
       stability.
-------------------------------------------------------------------------------
20231214 -

Updates

     * Linux kernel 6.6.6 (AMD64).
     * Update emulators, cores, emulation support packages, and system
       theme.
     * Enable serial console output on RK3326, thanks to [121]@royger!
     * Switch default suspend mode to mem + s2idle on RK3566 devices.

Bug Fixes

     * Corrects an issue with merged storage preventing EmulationStation
       from enabling the menu options.
     * Fixes an issue with system directory creation and switches the
       function from automatic to an option in System Settings that
       creates them on demand. This resolves a conflict condition that can
       hide games as duplicate directories may exist before the overlay is
       initialized. See previous release notes (20231212) as a fix is
       provided for affected users.

     Note: For the 'CREATE GAME DIRECTORIES' to work correctly, users
     will need to create /storage/games-internal/roms or
     /storage/games-external/roms manually. This issue will be corrected
     in the next release.
-------------------------------------------------------------------------------
20231220 -

New Features

     * JELOS now has support for Kronos Libretro (Saturn) on AMD64, thanks
       to [121]@sydarn!

Updates

     * Linux 6.1.68 (RK3326, RK3399, S922X)
     * Update emulators, cores, and support packages.
     * Update SyncThing and rclone.

Bug Fixes

     * Corrects an issue with integer overscale, thanks to
       [122]@GlazedBelmont.
     * Fixes a bug preventing /storage/games-internal/roms and
       /storage/games-external/roms from being created automatically.
     * Reverts AMD64 kernel to 6.6.4 to resolve missing battery issue.
     * Reverts Powkiddy x55 GPU driver to correct an issue with GPU hangs
       while idle and in game.
     * Fixes a bug causing EmulationStation to fail to restore brightness
       when using the video screensaver.
     * Corrects a quirks bug causing missing audio on some devices.
-------------------------------------------------------------------------------
20231230 -

New Features

     * Adds support for .cpr files to Amstrad CPC, thanks to [121]@Josian!
     * JELOS now supports access via web browser using simple http server,
       thanks to [122]@NeoTheFox!
     * Adds meson core to Famicom Disk System, thanks to [123]@BitingChaos
       for the tip!
     * Adds a OpenGL/Vulkan selection feature to EmulationStation for WiiU
       (Cemu-sa).

Updates

     * Update mali-bifrost GPU driver to r47p0 (Amlogic/S922X)
     * Linux kernel 6.1.69 (RK3399, RK3326, S922X), and 6.6.8 (AMD64).
     * GCC 13.2.0, Mesa 23.3.2, Vulkan 1.3.274, LLVM 17.0.6, Python
       3.11.7, GLIB 2.78.3, ALSA 1.2.10, Pipewire 1.0.0.
          + Thanks to [124]@CoreELEC (Python 3), [125]@archlinux (lrps2),
            and [126]@AmberELEC (EmulationStation).
     * Refactored runemu launch utility to improve performance and
       eliminate bugs.
     * Updates to CEMU, Yuzu, Citra, and GZdoom.
     * Adds console output to post-update execution to show update
       progression.
     * Improves Wireplumber's bluetooth auto connect, thanks to
       [127]@ValveSoftware.

Bug Fixes

     * Re-optimize distribution defaults to use -O3 over -Ofast to
       eliminate GPU artifacts and other issues caused by the prior
       optimization.
     * Eliminated support for a variety of emulators and cores that were
       not integrated in EmulationStation.
     * Fixes a bug causing autosaved games to load when 'start a new game'
       is chosen.
     * Reverts RK3566 GPU update to correct a missing symbols bug
       preventing build completion.
     * Fix long standing get_settings bug that does not honor filenames
       with a single quote.
-------------------------------------------------------------------------------
20240109 -

New Features

     * Announcing initial support for the Ayaneo 2S!
          + Note: When put to sleep, the display does not fully power off.
            We hope to resolve this in a future release.
     * New options in Danger Zone!
          + An Overlay reset which deletes overlays from /storage and
            reboots. This will be useful for cleaning up broken joypad
            configurations or fixing scenarios where users have used the
            retroarch update tool.
          + A full retroarch reset which deletes the entire retroarch
            directory and all overlay directories and then reboots. Useful
            for cleaning up when other resets don't resolve issues, and
            users don't want to factory reset.
     * beetle-supafaust-lr now defaults to quad core optimized settings,
       thanks to [121]@sydarn!

Updates

     * Updates several emulators, cores, and support packages.
     * Linux kernel 6.1.70 (RK3326, RK3399, S922X) and 6.7 (AMD64).
     * Updates Mesa and GPU drivers for RK3399.

Bug Fixes

     * Reverts GCC to 12.2.x to fix bugs with Dolphin SA.
     * Reverts gzdoom to the latest stable release and fixes a crash bug.
     * Fixes a bug preventing Syncthing from using the correct
       configuration file.
     * Corrects a bug with shaders on Amlogic devices, thanks to
       [122]@nayasis!
     * Fixes an issue preventing netplay clients from converging with
       their host instances.
     * Resolves an issue in EmulationStation causing slow response when
       opening the network settings menu.
-------------------------------------------------------------------------------
20240116 -

-------------------------------------------------------------------------------
20240117 -

New Features

     * JELOS now supports installing to EMMC on ARM!
          + On Weston devices, select the installer from the tools menu
            and choose your EMMC.
          + For RK3566, execute installer over an ssh connection to
            install JELOS to your EMMC.
          + An external keyboard is required to step through the
            installation menu.
          + Some devices are not configured to make the EMMC available to
            JELOS.
          + Not yet supported: Powkiddy x55, Anbernic RG552.
     * Volume and brightness can now be controlled via R3 and the d-pad on
       the RGB10.
     * System Information now displays internal/external storage
       utilization.
     * Adds Portmaster controller layout support via EmulationStation.
     * New software available: nvtop (panfrost only), weston-debug.
     * JELOS now has initial support for MTP, thanks to [121]@citral23!
          + Requires configuration over SSH as ES integration is still
            work in progress.
     * LED control has been improved, including adding the color white on
       supported devices.
     * Adds sorting of shaders, filters, and overlays in ES. Thanks to
       [122]@nayasis!
     * JELOS now utilizes the Panfrost forcepack feature to offload
       texture compression to the GPU on supported devices. Thanks to
       [123]@chealy!
     * Automount now places a readme in /storage/roms with instructions to
       create game directories.

Updates

     * Our RK3399 and RK3326 platforms have been migrated to Linux kernel
       6.7.0!
     * RK3399 now uses mainline u-boot with arm trusted firmware, thanks
       to [124]@LibreELEC!
     * Mesa 23.3.3.
     * Mednafen 1.32.0.
     * Systemd 255.2.
     * Tailscale 1.56.1.
     * Updated root certificates.
     * Emulator updates (Citra-SA, Yuzu-SA).

Bug Fixes

     * Fix AYANEO 2S display remaining on when put to sleep.
     * Primehack has been deprecated and removed from the project.
     * Fixes a full factory reset issue on weston devices.
     * Ensure userconfig setup runs after automount to correct a potential
       conflict during the initialization (first) boot.
     * Pico 8 autostart script no longer creates the directory by default.
       It is created when Create Game Directories is selected in System
       Settings.
     * Fixes a bug preventing the eject option from appearing in
       EmulationStation when Merged Storage is disabled.
     * Revert enabling blkid in e2fsprogs, this conflicts with the busybox
       binary and causes partitions to fail to resize on first boot.
     * Optimize startup order and apply a guard to set_settings to ensure
       the system configuration exists before writing to it. This resolves
       black screen issues that sometimes occur during the initial boot.
-------------------------------------------------------------------------------
20240121 -

New Features

     * The JELOS team is happy to announce support for the Magicx XU10,
       thanks to [121]@Oendaril!
     * Adds mame support for Game and Watch.
     * Enables the EMMC on Powkiddy x55 to allow JELOS to be installed to
       it using installer over an ssh connection.
     * Playstation and Gameboy Advance emulation will now use the
       performance governor by default on RK3566 based devices.

Updates

     * Linux kernel 6.7.1 (AMD64).
     * Updates emulators, cores, and support packages.
     * Deprecates and removes flycast32.

Bug Fixes

     * Corrects a bug in our X-Box 360 Retroarch gamepad configuration
       file causing invalid input in some emulators.
     * EmulationStation now properly adds a default option to the cpu
       scaling governor selection in per game/system options.
     * Fixes a long standing issue with RK3566 devices causing drain after
       being charged while devices are powered off.
     * Reverts an OpenBor update that broke input on some devices.
     * Corrects a bug introduced in the last release that causes Weston to
       fail to start on some devices when booting.
     * Trap cases where external cards weren't being excluded from factory
       resets. Exclude deleting games-internal as well.

   P.S. Sorry Mr. Fluffles.
-------------------------------------------------------------------------------
20240201 -

New Features

     * The JELOS team is happy to announce support for the following
       devices:
          + Powkiddy RGB10 Max 3 (RK3566)
          + Game Console R33S (RK3326)
     * RK3326 and RK3399 devices now have overclocking options available
       in EmulationStation!
     * Power LEDs are now controllable via EmulationStation for RK3566
       devices (Excluding x55).
     * Automatic generation of Splore.png can now be disabled, thanks to
       [121]@HuiJun!
     * Same CDI single arcade / machine emulator libretro core is now
       available, thanks to [122]@wwark!
     * Super Cassette Vision libretro core is now available, thanks to
       [123]@wwark!

Updates

     * Many improvements to the MagicX XU10, thanks to [124]@Oendaril!
     * Updates Blues, Pipewire, PulseAudio, and WirePlumber for improved
       device support and reduced audio/controller latency.
     * Linux kernel 6.6.14 (AMD64) and 6.7.2 (RK3399 and RK3326).
     * Mesa 23.3.4
     * Danger Zone has been relabeled as "System Management and Reset
       Options".

Bug Fixes

     * Corrects a drastic button mapping issue on RGB10 devices.
     * Improves drastic hotkey support for RK3399 devices.
     * Fixes a bug causing reversed controls in RetroArch after
       configuring controller priority in EmulationStation.
     * LEDs now turn off when AYANEO S2 devices power off.
     * Flycast2021 now works correctly across supported devices.
     * Freej2me now works correctly, thanks to [125]@AveyondFly!
     * X68000 now loads d88 format floppies correctly, thanks to
       [126]@wwark!
     * ZeroTier is now available on RK3326 devices, thanks to
       [127]@Oendaril!
     * Corrects a bug preventing nvme partitions from resizing on Orange
       Pi 5 devices.
     * Fixes a condition that prevents some Powkiddy x55 devices from
       booting.
     * Fixes Odroid Go Ultra bootloader not updating.
     * Raises the GPU frequency floor on RK3566 devices to eliminate UI
       lag.
     * Corrects a condition where you cannot start a new game if you have
       an existing auto save.
-------------------------------------------------------------------------------
20240202 -

Updates

     * Updates Linux kernel to 6.7.3 (AMD64, RK3399, RK3326).
     * Our S922X platform now features Linux kernel 6.6.15!
     * Mesa 24.0.0 and libdrm 2.4.119.
     * Adds speedtest-cli network benchmark tool.

Bug Fixes

     * Fixes Portmaster not launching on RK3566 devices.
     * Fixes per system performance defaults not honoring user provided
       settings.
     * Corrects an issue with system management options not providing
       visual output on RK3566 devices.
     * Fixes Duckstation rotation on the Powkiddy RGB10 Max 3.
     * Correct mupen64plus-sa mappings on MagicX xu10, thanks to
       [121]@Oendaril!
     * Update regulator settings for xu10 to reduce crashes when waking
       from sleep, thanks to [122]@Oendaril!
     * Allow inverting analog controls for xu10, thanks to [123]@Oendaril!

     Due to a bug in yesterday's release, updating through
     EmulationStation will not work on the RK3566 family of devices if
     you updated to 20240201. You can update over ssh by logging in as
     root and running system-upgrade, or using the manual update process
     [124]https://jelos.org/play/update/#option-2-manual-update.
-------------------------------------------------------------------------------
20240206 -

New Features

     * Overclocking is now supported on ODROID N2, N2+, and N2L!
     * CHIP-8, X-CHIP, and XO-CHIP emulation is now supported, thanks to
       [121]@wwark!

Updates

     * S922X devices now use Linux 6.7.3!
     * Update emulators, cores, and support packages.
          + Yuzu-sa, Citra-SA, Flycast-SA, PPSSPP-SA, RetroArch, Vice-SA
     * Vulkan 1.3.277 on supported devices.
     * File Manager now supports native resolutions, thanks to
       [122]@Oendaril!
     * Handy Atari Lynx emulator now supports .lyx extensions, thanks to
       [123]@wwark!

Bug Fixes

     * Corrects SDL controller bindings on MagicX xu10, thanks to
       [124]@Oendaril!
     * Fixes bugs preventing RGB and Power LEDs from flashing on low
       battery.
     * Sharp X1 & PC98 now correctly load d88 format images, thanks to
       [125]@wwark!
     * Corrects bugs related to controller detection, and improves default
       controller settings in EmulationStation.
     * Fixes AMD64 button modifiers for L3 and R3 in Mednafen.
     * Resolves a condition that sometimes causes Weston/EmulationStation
       to fail to start on startup.
     * S922X devices now use correct opps tables for turbo modes.
     * gzdoom now detects and uses the correct resolution across supported
       devices.
-------------------------------------------------------------------------------
20240212 -

New Features

     * JELOS now supports the Game Console R35S and R36S! An option to
       select your device variant is available in the "System Settings"
       menu.
     * PS Vita is now fully integrated in EmulationStation. Once your
       games are configured, use the "Scan Vita Games" option to scan
       them, followed by "Update Game Lists" to reload them. Once scanned,
       they can be scraped using the built in scrapers.
     * EmulationStation now supports displaying PICO-8 cartridge images
       when no scraped image is available.
     * The JELOS installer now supports using built in controls to perform
       installation to internal storage on supported devices.
     * RetroAchievements are now available again in the main menu when
       enabled. Thanks in part to [117]@batocera-linux, [118]@AmberELEC,
       and [119]@dhwz!
     * Audio reset is now available in the "System Management and Reset
       Options" menu.
     * USB Gadget options are now available in EmulationStation including
       MTP and ECM modes. Thanks to [120]@citral23!

Updates

     * Linux kernel 6.7.4 (AMD64, S922X, RK3326, RK3399).
     * Weston 13.0.0.

Bug Fixes

     * The fan is now correctly disabled on AYANEO 2S when the device
       enters sleep mode and is re-enabled on wake.
     * Fixes a bug with default scaling governors on RK3588 devices.
     * Reverts flycast standalone to resolve artifacting issues.

     Note: Anbernic RG353P/M/V/VS, RG503, Powkiddy RK2023, RGB30, RGB10
     Max 3, and x55 releases are paused at version [121]20240206 while
     mainline integration is completed. New releases for these devices
     will return soon.
-------------------------------------------------------------------------------
20240222 -

New Features

     * Adds support for Vircon32, a virtual console emulator. Thanks to
       [118]@wwark!

Updates

     * Linux kernel 6.7.5 (AMD64, S922X, RK3399, RK3326).
     * Mesa 24.0.1.
     * Update emulators cores, and support packages:
          + moonlight, beetle-pce-fast-lr, beetle-pce-lr,
            beetle-supergrafx-lr, fbneo-lr, fmsx-lr, freej2me-lr,
            gambatte-lr, gearboy-lr, gearsystem-lr, genesis-plus-gx-lr,
            mame-lr, mame2003-plus-lr, mupen64plus-nx-lr, nestopia-lr,
            pcsx_rearmed-lr, scummvm-lr, tic80-lr, vecx-lr, flycast-sa,
            hatarisa, control-gen, gamecontrollerdb, retroarch-joypads,
            libretro-database, slang-shaders, cemu-sa, vita3k-sa, and
            yuzu-sa.
     * Adds udev rules for 8Bitdo M30 and 2.4ghz ultimate, thanks to
       [119]@shantigilbert and [120]@EmuELEC!
     * Enables FN on R36S devices, thanks to [121]@Oendaril!

Bug Fixes

     * Corrects an issue with debug service, thanks to [122]@Sparticuz!
     * Fixes a bug causing JELOS to report an update exists when no update
       is available.
     * PPSSPP no longer mutes audio output when changing backends between
       OpenGL and Vulkan.
     * Corrects display jitter on ODROID Go Ultra and Powkiddy RGB10 Max 3
       Pro, thanks to [123]@earthnciel!
     * Fixes a bug preventing accurate TDP reporting and boot time
       configuration on AMD64 devices.

     Note: Anbernic RG353P/M/V/VS, RG503, Powkiddy RK2023, RGB30, RGB10
     Max 3, and x55 releases are paused at version [124]20240206 while
     mainline integration is completed. New releases for these devices
     will return soon.
-------------------------------------------------------------------------------
